Overview

What is Maestro Recognition Server?

CVISION's Maestro Recognition Server offers the powerful OCR and image-processing features of CVISION's PdfCompressor to those who do not need file compression.

Maestro Recognition Server 5.0 has been engineered and designed for industrial strength, corporate volume scanning & OCR needs. Maestro provides a flexible OCR solution delivered from a centralized server which enables organizations to easily integrate into their existing document and imaging workflow, while providing multiple workflow accessibility allow users to perform many image processing functions beyond OCR. Maestro converts all scanned documents into searchable, PDF files. Users can configure Maestro for speed or accuracy. Maestro automates the OCR process with watched folder capabilities through which users can run the program so documents are processed automatically. To accommodate large volume scanning, the batch OCR feature within Maestro enables scanned documents to be processed at a real-time rate. In high speed setting, Maestro can process up to 20 pages per second.

The OCR functionality within Maestro 5.0 is available in two modes, one for very high speed and the other for superior text recognition accuracy. The high speed OCR mode can process up to 10 pages/second/core, while the highly accurate mode has been tested to recognize 10% more characters than competing products. Uniquely, Maestro combines image processing, real-time OCR, PDF/A, PDF options settings, web-optimization, batch multi-threading and encryption all in one step.

To view PDF files produced by Maestro, you can use Adobe Reader™, which can be downloaded from Adobe Systems' website.

Copyright © 2005-2011 CVISION Technologies, Inc.
Maestro Recognition Server, Maestro, CVista, CVISION, and the CVISION logo are registered trademarks of CVISION Technologies, Inc.

Portions of this Product Copyright © 1996-2011 The FreeType Project. All rights reserved.

Portions of this Product Copyright © 1998-2011 Nuance Communications,, Inc.

Portions of this product Copyright © 1996-2011 Glyph & Cog, LLC

All other trademarks and product names used in this documentation are trademarks of their
respective companies and have been appropriately capitalized.


Evaluation Period

When Maestro is installed, an initial 30-day evaluation license is installed along with it. This evaluation license allows you to process up to 5,000 pages. During the evaluation period, you will be prompted to register the software each time you start Maestro.

Please note the following limitations that exist when running with an evaluation license:

  • The PDF files output by the software are edit-protected and the pages are stamped with a watermark. This will not occur when a commercial license is installed.
  • The Annotations panel is disabled in evaluation mode.
  • The Security panel is disabled in evaluation mode.
  • The option in the GUI to overwrite existing PDF files is disabled in evaluation mode, to avoid the risk of accidentally overwriting PDF source files with watermarked counterparts.

If any of these limitations present a hindrance to your testing, please contact sales@cvisiontech.com or support@cvisiontech.com for further information.

Activate Maestro

To activate Maestro, you can:

  • Activate a License with Internet Connection
  • Activate a License without Internet Connection
  • Transfer a License to another machine
  • Upgrade a License


License Activation via the Internet

To activate your license online, you will need:

  • 24 character, alpha-numeric license key or activation code

  • Internet connection.

Launch Maestro 5.0. If you have an evaluation license, which is activated during the product installation, you will see a registration box. Click on Activate the Software button.

If you don’t have an evaluation license installed the License Activation window will automatically open. If you have Maestro 5.0 already open, you can open the License Activation window by selecting License in the main menu and clicking Activate License.

Input the 24 character license key or activation code into the Activation Code or License Key field and click Activate License. It is advised that you copy and paste the license key from the email you have received. Follow any prompts or instructions you see after clicking Activate License.


License Activation without the Internet

Registering the Software

License Activation without an Internet Connection

To activate your license without an Internet connection, you will need:

  • your 24 character, alphanumeric license key or activation code (this was usually provided by e-mail with your order confirmation);

  • another machine with e-mail access;

  • the host ID of the computer on which the license is being activated.

Your computer's host ID can be obtained from the License menu in Maestro:

  1. Launch Maestro on the same machine where you want the license to be activated.

  2. From the menu, select License > Display Host ID. You will see a dialog box similar to the one shown below. Copy the displayed host ID by highlighting it with the mouse and pressing Ctrl+C (hold down the Ctrl button and press the letter 'C').

Send an e-mail to pdflicense@cvisiontech.com. Include the words License Request and your order number in the subject line. In the body of the e-mail, you should include your order number or license key, as well as your host ID copied from the box shown above.

Within 24 business hours you should receive a reply containing a license file. Download the license file and copy it to the machine where you want to install it. Double click the file and the license will be activated.

Note: If you use this method of activating your license, you will have to do it the same way for transfers and upgrades. Activation via the Internet is therefore preferred if at all possible.


Transferring a License

To transfer your license from one machine to another electronically, you will need:

  • an active license and license key;

  • Maestro 5.0 installed on a different computer;

  • Internet access on both computers.

The process of transferring the license is as follows:

  1. Launch Maestro 5.0. From the main menu, select License > Return License. A dialog similar to the one shown below will appear.

  2. Copy the license key from the Return License window and save it. You will need this key to reactivate it on a different machine. Click the Return License button. After your license is returned, go to the machine where you want the license to be transferred and follow the steps in License Activation via the Internet.

Note that this assumes that you activated your original license via the Internet. If not, you will not be able to return your license in this manner. Please contact CVISION support at support@cvisiontech.com for assistance. Please do not uninstall the software before contacting us.


Upgrading a License

To upgrade a license, you will need:

  • an active license and license key;
  • your 24-character upgrade code;
  • an Internet connection.

To upgrade the license, do the following:

  1. Launch Maestro 5.0. From the main menu, select License > Upgrade License.

  2. Input the 24 character upgrade code into the Upgrade Code field and then click Upgrade License.

Note that this assumes that you activated your original license via the Internet. If not, you will not have an upgrade code. In this case, the license upgrade will be delivered instead by e-mail as a file with a .CVL extension. To apply the upgrade, save the file to anywhere on your computer and then double-click on it.


License FAQ

Q: What is a License Key / Activation Code and Where Do I Get It?

A license key and activation code is a 24 character alphanumeric string. You need to use a license key to activate Maestro 5.0. After purchasing Maestro 5.0, you will receive an e-mail containing a license key or an activation code. Use this code to activate your product.

Q: Where do I find my License Key / Activation Code / Upgrade Code?

If you do have active license and license key installed, you can Launch Maestro 5.0, click on License in the main menu and select License Information. The License Key / Activation Code / Upgrade Code is located in the delivery e-mail you have received after making a purchase. You can also view all of your license keys and the status of each key by going to http://www.cvisiontech.com/orders/licenses/licenses.php. You will need your user name and password which is also located in the delivery email.

Q: What are the differences Between Activation Codes, License Keys, and Upgrade Codes?

  • License Keys and Activation Codes

If you purchase only one license from CVISION Technologies, you will receive a license key. If you purchase multiple licenses in one order then you will receive an Activation Code along with License Keys. For example if you purchase ten licenses then you will receive ten license keys and an activation code. You can use one of the ten license keys to install each license, or you can use the same activation code to install licenses on each machine. The activation code randomly picks an available license key and installs the license. The purpose of the activation code is to simplify the use of keys. Rather than remembering all ten license keys, you will only need to know the activation code.

  • Upgrade Codes

Whether you purchase one upgrade license, or an upgrade license for multiple licenses you will receive just one upgrade code. For example, if you purchase an upgrade code for ten licenses, then you will receive one upgrade code which can be used ten times on each license.


The Quick Setup Wizard

The Quick Setup Wizard is a new tool introduced in Maestro 5.0 that allows the novice user to get up and running quickly with the software. It enables the user to:

  • allow Maestro to suggest optimal settings for processing the user's files, and save these settings as a named configuration;
  • run a simple batch run or set up a single watched folder using these settings;
  • use the configuration created by the Quick Setup Wizard as a starting point for a more complex job setup through the main user interface.

The introductory screen appears as shown below.

After the Quick Setup Wizard opens, click on one of the following two buttons to get started:

  1. Optimize my Settings - This will start the Settings Optimizer, which facilitates the optimization of OCR accuracy and/or processing speed.
  2. Set up a Simple Run - Set up a quick job to process your files.

You can also choose "Close this window" to close the Quick Setup Wizard and go to the main GUI panel.

At the bottom of the Quick Setup Wizard panel, there is a check box labeled, "Show this dialog on startup". By default, this box is checked and the Quick Setup Wizard will be displayed every time Maestro starts up. However, if you uncheck this box, the Quick Setup Wizard will not be displayed on startup. You can still open it manually from the menu under File > Quick Setup Wizard. The status of the show-on-startup option is committed when you close the Quick Setup Wizard.

More:

Settings Optimizer

Simple Run Setup


Settings Optimizer

The Settings Optimizer portion of the Quick Setup Wizard assists in the optimization of OCR results and/or processing speed. You will be prompted to answer a few simple questions and supply a sample file that is reasonably representative of your documents. With the aid of this information, the Settings Optimizer will process the file a few different ways and present the results. If you are satisfied with the results of one of the output files, you can save the configuration that produced it, and this configuration can be used subsequently for processing an actual job.

The sequence of panels presented by the Settings Optimizer is described below.

  • Introduction
  • Tell Maestro about your files
  • Select a Sample File
  • Processing a Sample File
  • Choose Results
  • Satisfaction with Results
  • Save Settings
  • Finish

Introduction

After clicking on Optimize my Settings, you will see a brief introduction about the Setting Optimizer. Click the "Next" button at the bottom to move to the next screen.

Back to Top

Tell Maestro about your files

In this dialog, as shown below, you are prompted to answer a few questions about your files.

  1. Which of the following is more important to you? - Here you can specify whether OCR accuracy or processing speed is more important. Appropriate OCR settings will be selected to favor what you respond to this question. Nonetheless, when the results are presented, you may sometimes be pleasantly surprised to find that one of our faster OCR modes can nonetheless produce a result that is high in OCR accuracy.
  2. Do your input documents include PDF files? - If your input files are PDF files, they may need to be rasterized before they can take advantage of certain modes such as Real-Time OCR. Answering "Yes" to this question will take this into account.
  3. Are you willing to convert color or greyscale pages to black-and-white...? - Converting color and greyscale documents to black and white can improve OCR results in some cases (as well as reduce file size), but you must of course be willing to do so.

Back to Top

Select Additional Options

Select a sample file that best represents the documents you plan to process.

  1. Use the following language dictionaries - By default, only the English language dictionary is selected. Click the "Change..." button to modify this selection. Note that if processing speed is a concern and it is feasible for you, make sure to choose only English.
  2. Output OCR data to an auxiliary data file - By default, OCR data is embedded only in the PDF itself to make it searchable. If you would like to output the OCR contents directly to an external data file, check this box and choose one of the formats below it.
  3. Automatically rotate all pages to their readable orientation - Choose this option if there is concern over document orientation. The output pages will be saved in the auto-rotated orientation. Note that choosing this option can reduce processing speed, so if you know that your documents are all oriented correctly, you should avoid choosing this option.

Back to Top

Select a Sample File

Select a sample file that best represents the documents you plan to process.

Back to Top

Processing a Sample File

Maestro will process the input file using three different methods. The progress bar will advance as the files are processed.

Back to Top

Choose Results

The results of the three different processing methods will be displayed as shown below.

For each method, the OCR word count, confidence level, and processing time are displayed. Hovering over any image will show the full path to the output file. You may also click on the file image to open it in your PDF viewer (such as Adobe Reader) to inspect it more closely. Choose one of the results based on the criteria most important to you. Even if none of the results worked as well as you would have liked, choose the best of the three. You will be given the opportunity afterwards to indicate how satisfied you were with the results.

Please note that displayed processing times are approximate and may especially vary based on fluctuating CPU load.

Back to Top

Satisfaction with Results

After processing your file, you can indicate how satisfied your were with the results.

Choose one of the following:

  • I liked these results - If you are satisfied with the results yielded by the method you selected, choose this option and click "Next". You will then be prompted to save these settings for future use.
  • These results did not work very well - If you are not satisfied with any of the results, choose this option and click "Next". You will then be taken to a screen that looks similar to the following:

Choose the major problem with the results and then click "Next". You will then be offered options for submitting your file to CVISION Technologies for further analysis. CVISION's support engineers will determine the best settings for processing your file. Please not that this service is available only to users who fall into one of the following three categories:

  1. you are on a paid maintenance/support plan;
  2. you are not on a paid maintenance/support plan, but you are still within 30 days of the purchase of your license;
  3. you are evaluating the software.

Back to Top

Save Settings

If you have accepted the results as satisfactory, you will be prompted to save the settings. These settings can be used in either the main panel of Maestro or in setting up a simple run in the Quick Setup Wizard.

Back to Top

Finish

After saving your settings you can either run the Optimizer again, set up a simple run, or go to the main panel.

Back to Top


Simple Run Setup

The Simple Run Setup portion of the Quick Setup Wizard allows you to use a predefined configuration to run a simple batch job or set up a single watched folder. It is recommended, but not necessary, that you run the Settings Optimizer to create a custom configuration before running the Simple Run Setup.

The sequence of panels presented by the Simple Run Setup is described below.

  • Introduction
  • Select Processing Mode
  • Select Predefined Settings
  • Select Input and Output Files (Individual file)
  • Select Input and Output Folders (Entire Folder)
  • Select Watched Folder (Watched Folder)
  • Ready to Run

Introduction

After clicking on Set up a Simple Run, you will see a brief introduction of the Simple Run.

Back to Top

Select Processing Mode

The first step in Simple Run mode is to select the processing mode. The panel for this step is shown below.

There are three methods of processing your files:

  • Individual File - Process a single file
  • Entire Folder - Batch-process all documents in a folder that match any of the types selected in the next step.
  • Watched Folder - Designate a folder that will be continually "watched" by Maestro. Any file placed in this folder matching one of the types selected in the next step will be converted to PDF format and the output file will be placed in a designated output folder.

Back to Top

Select Predefined Settings

Select the setting you want to use for this job. If you have previously saved any settings, either through the Settings Optimizer or through the main interface itself, these settings will be available for selection here. You can also choose to run using the factory defaults if desired or if there are no saved settings.

Back to Top

Select Input and Output Files

If you have chosen to process one individual file (see Select Processing Mode above), you can select one document that you would like to process.

  1. Input File - The files to be processed
  2. Include subfolders - Whether to go recursively through any subfolders to process any files found there.
  3. Output File - The destination filename
  4. Merge output into a single file - If this option is chosen, all the input from the files in a given folder will be merged into a single PDF document bearing the name of the folder. If the "Include subfolders" option is chosen, the files at each level of the folder tree will be processed into a separate PDF file bearing the name of that folder.
  5. Process files of type - Selects the file types to process. You can change the selection by pressing the "Change" button.

Back to Top

Select Input and Output Folders

If you have selected an entire folder of files (see Select Processing Mode above), you can choose a folder with the documents you want to process.

The options available here are as follows:

  1. Input Folder - The folder containing the files to be processed.
  2. Include subfolders - Look through all subfolders of the specified folder and process whatever files are found.
  3. Output Folder - The folder that will contain the processed files.
  4. Merge output into a single file - If this option is chosen, all the input from the files in a given folder will be merged into a single PDF document bearing the name of the folder. If the "Include subfolders" option is chosen, the files at each level of the folder tree will be merged into a separate PDF file bearing the name of that folder.

  5. Process files of type - Selects the file types to process. You can change the selection by pressing the "Change" button.

Back to Top

Select Watched Folder

If you have selected each file dropped into a specified watched folder (see Select Processing Mode above), you will be prompted here to choose the folder you would like to watch, along with some other options as presented below.

The options to be selected here are as follows:

  1. Input Folder - The folder that will be watched for input files.

  2. Include subfolders - Look through all subfolders of the specified folder and process whatever files are found.

  3. Output Folder - The folder that will contain the output files. Note that if "Include subfolders" was chosen, the output folder with always replicate the folder structure of the input folder. (Greater control is provided over this behavior in the main GUI panel.)
  4. Source Files - Specifies what to do with the source files from the watched folder after they are processed. You can choose either "Delete", or "Move to" a specified folder. If you choose "Move to", the adjacent text box will become enabled, and you should enter the full path of the move-to folder there. You can click on the button to the right of the text box to browse for the folder. If "Include subfolders" was chosen, the folder structure of the input folder will be replicated in this folder as well.
  5. Copy failed input files to - Allows you to specify a folder which will receive a copy of all input files that did not successfully produce a valid output file. If "Include subfolders" was chosen, the folder structure of the input folder will be replicated in this folder as well.
  6. Process files of type - Only files whose types are selected will be processed.

Back to Top

Ready to Run

The options available here are as follows:

  1. Run Job - Click on this button to begin processing your files.

  2. Go to main panel - Click on this button to go to the main GUI panel. When this occurs, the Select Documents panel will be populated with the file or folder you have already selected in the Simple Run Setup.

Back to Top


Menu Bar

As shown below, there are 4 menus accessible from the menu bar:

  1. File Menu - Options related to the basic settings of Maestro
  2. Options Menu - Log files and custom command-line options
  3. License Menu - Options for displaying license information and activating/deactivating a license
  4. Help Menu - Displays information about Maestro.

File Menu

The options available via the File menu are shown below.

  • New Job - Begin a new job.

  • Quick Setup Wizard - Launch the Quick Setup Wizard without changing the current settings.

  • Save Configuration - Save the current settings as the last used settings. This will replace the entry that may already appear in the Baseline Settings drop-down box labeled "<Last used settings>".

  • Save Configuration As - Save the current settings under a specified name

  • Revert to Factory Settings - Abandon the current settings and revert to CVISION's factory settings.

  • Manage Configurations - Manage saved configurations.

  • Exit - Close Maestro

Back to top

Options Menu

In Options, we can set up log files and Custom Command-Line Options...

  • Log Files - Please refer to Log File Options for more detail.

  • Custom Command-Line Options - Please refer to Command-Line Flags for more detail.

Back to top

License Menu

In the License menu, you can get information about, register, upgrade or return a license for Maestro.

  • License Information - Shows the battery and basic information about your license

  • Launch CVistaMonitor - Opens the CvistaMonitor utility which tracks various license information for each CVISION product installed on the machine.

  • Display Host ID - Shows the Host ID of your computer

  • Activate license - Opens a registration form where you can activate your software using a license key.

  • Upgrade license - Opens an upgrade form where you can upgrade your license using an upgrade code.

  • Return license - Opens a license key return form where you can return your license key, to make it available for reinstallation on another computer.

  • E-mail license key - Opens a form which allows you to email your license key to any supplied e-mail address.

  • Get key for existing license - Retrieves or generates a new license key for a valid license.

Back to top

Help Menu

Documentation and information about your Maestro can be found here.

  • Documentation - Open the documentation
  • About Maestro - Show version and license key information about Maestro

Back to top

More:

Log File Options


Log File Options

When documents are processed by Maestro, one or more log files can optionally be created. You can control how these log files are created by choosing Options > Log Files from the menu. Upon doing so, a dialog box similar to the screen shot below will be displayed.

The options accessible from this dialog (corresponding to the numbered items in the screen shot) are as follows:

  1. Audit Log - This log contains the following comma-separated data about every file that is processed:
    • Date
    • Time
    • Path
    • Number of Pages
    • client code (optional)

    The audit log was designed for batch jobs, but it can be used in watched folder processing as well, though some of the information will be redundant.

  2. Open Log File Folder - You will find 4 more types of log files in the Log File Folder that Maestro generates itself when it processes batch or watched folder job.

  • Batch Processing Log - Named as batcherr_yyyy-mm.log, the batch error log is automatically created by Maestro and it contains information about all errors detected in batch jobs. If you contact Technical Support about an error occurring, you will most likely be asked to submit the contents of this log.
  • Watched Folder Mode Log - Named as wf_yyyy-mm.log, watched folder log contains information about each file that was processed, including any errors. Named as wf_error_yyyy-mm.log, watched folder error log contains information for the errors detected by watched folder service.
  • Overall Error Log - Named as errors.log, this error log records all the errors detected by Maestro if no batch processing log or no watched folder mode log is specified.
  • License Log - Named as licerr.log, the license error log records all the license errors detected by Maestro. licUsage.log, another license log records the latest licensing information such as the computer name, counter type, pages remaining, max pages and expiry date.


Main Panel - Compression Mode

Main Panel

Below is a screen shot of the main Maestro user interface in the default batch processing mode:

As shown, the main user interface of Maestro consists of 3 major parts:

  1. Menu - Options for loading/saving configurations, adding custom command-line flags, registering your software, specifying log files, and help are provided in the menu.
  2. Job navigation panel - The controls in the left sidebar panel allow you to choose your job type, select a configuration, and access most of the available software settings.
  3. Options panel - When you click on one of the sidebar buttons in the job setup panel, the corresponding group of options appears in the blue-bordered area on the right.
  4. Bottom bar - The items on the bottom bar allow you to open the documentation, view your license status, or go to the CVISION website.


Job Navigation Panel

A column of buttons is displayed along the left side of the user interface. This is the main control panel from which you can choose the documents you would like to process, how you would like to process them, and any additional options that affect the output.
  1. Job Type - This drop-down box allows you to select the mode in which to run Maestro. The options available are Batch Processing mode (which processes a specified group of files on demand) and Watched Folder mode (which automatically processes files as they are deposited into a selected folder). The mode selected will affect the exact set of buttons displayed below this drop-down box.

  2. Baseline Settings - This drop-down box contains predefined, user defined, and last used settings. You can also switch to the simpler interface of the Quick Setup Wizard from here. Settings can be saved either through the Quick Setup Wizard, or by selecting File in the main menu and clicking Save Configuration As..., at which point you can name the setting. You can save your current settings at any time.
  3. Job options
    In the screen shot at left, batch processing mode is depicted. The buttons available are as follows:
    • Select Documents - Choose which types of documents you wish to process (e.g., PDF, Jpeg, Tiff, etc.). This page also lets you set whether to process subfolders, merge folder contents, and overwrite existing files.
    • Image Processing - Choose features that can be applied to images before processing, such as resampling, cleaning, despeckling, and smoothing.
    • Output Options - Choose the earliest version of Adobe Acrobat that needs to read your PDF files, or set your PDFs for PDF/A compatibility. Also specify page size manually if desired.
    • Recognition - Choose options that affect the both speed and accuracy of Maestro's OCR capabilities.
    • Communications - Define connections to FTP sites that can serve as the source or destination folder for file processing instead of a local folder. After setting up your FTP sites, you can select these sites in the Select Documents section.
    • Document Features - Select options that affect PDF document properties, including how documents will appear in PDF reader (e.g., full-screen mode), web-optimization, and setting document information fields (e.g., Author, Title, keywords).
    • Annotations - Add text headers/footers to the top or bottom of each page in the output PDF file, including page number, date stamp, Bates stamp, and custom text. Also add an image stamp, e.g., "Approved", or a background watermark, to each page of the output PDF file.
    • Security - Choose options that affect the security features of the output PDF file, such as password selection, as well as view, print, & edit protection.
    • Job Output - Displays output of the job run.

  4. Run Job - Click this button to begin the job. Note that this button appears only for batch processing mode. For watched folder mode, processing is started/stopped directly from the Select Folders panel.


Select Documents

Options for the Select Documents panel are slightly different in batch mode than in watched folder mode. Please go to one of the following pages for more detail.

  • Select Documents in Batch Mode
  • Select Folders in Watched Folder Mode


Select Documents - Batch Compression

Select Documents - Batch Processing

  1. Folder Pane - There are two tabs in this pane which are "Local and Network Folders" and "FTP Folders".

    • Local and Network Folders - This pane of the explorer view shows a tree listing of all folders in the drive selected from the list at the top. Clicking on the plus sign next to a folder will expand that folder in the tree, and clicking on the folder will display its contents in the file pane.

    • FTP Folders - This pane shows a drop down box from which you can select FTP sites where you want to download or upload files. There is no File Pane in this tab, however, you need to type in specific files or folders in FTP site.

  2. File Pane - This pane shows a list of files in the folder selected in the other pane. In order to select a file for processing, drag it from this pane into the "Documents to Process" window. If you modify the contents of the current folder outside of Maestro, you will need to click the Refresh button to show the changes in Maestro.
  3. Documents to Process - Shows a list of each document to be processed, along with its type and where the processed file will be placed. Dragging files into this box causes a window to pop up prompting for a destination, and the files are added to the list after the destination is given. Once we created a new batch entry, we can double click (or right click or use the "Edit" button in the pane) to modify the properties of the job.

    • Input Folder - where the input files are located
    • Output Folder - where the processed files will be placed
    • Include subfolders - Go recursively through all subfolders of the specified folder and process whatever files are found.
    • Replicate input folder structure - If you chose "Include subfolders" and specified a different destination subfolder, this option replicates the folder structure from the source folder in the destination folder. Each output file is placed in the subfolder corresponding to its source counterpart. For example, if your source folder is D:\source and your destination folder is D:\dest, any source files found in a subfolder called D:\source\samples will have their output PDF files created in D:\dest\samples. On the other hand, if the Replicate option is not selected, all output files will go directly into the destination folder (D:\dest), side-by-side.
    • Merge folder contents - Merge all files from a given folder to a single output file for that folder. Note that if you chose the "include subfolders" option, one file will be created in each subfolder, representing the subfolder's contents, and given the name of the source subfolder.
      Warning #1: It is not possible to merge PDFs with other file types unless you use rasterization for the PDFs. (See the PDF Input Processing tab on the Image Processing panel.)
      Warning #2: Merging PDF files may result in the loss of certain page-related document information, such as bookmarks.
    • Process files of type - If you are processing an entire folder, the check boxes in the window that appears when you click the "Change" button allow you to choose which files to process in the given folder. For each file type you wish to process, check its corresponding box. Note that if you are processing an individual file, the file type is inferred from the file extension, so these settings are not relevant.
    • Job Control Options: Processed input files - We can do "leave", "delete", or "move to" to the input files, "leave" is set as default, which mean no further action will be taken for the input files. If you select "move to", you need to specify a folder where you want to move the input files after they are processed. "Delete" will simply delete all the input files in the folder.
    • Job Control Options: Move failed input files to - Allows you to specify a folder which will receive a copy of all input files that did not successfully produce a valid output file.
  4. Job processing options - The four options provided in this area apply to folder processing only. These options are as follows:
    • Run Multithreaded - If your computer has more than one CPU, or if you have a processor that supports HyperThreading, this option will cause Maestro to run on all of your processors simultaneously when generating multiple output PDFs. If you have two CPUs, jobs will run up to twice as fast. If you have a HyperThreading-enabled processor, there will be an additional 10-15% speedup. This option has no effect on computers with only one processor.
    • Overwrite any existing files - If a file with the same name as an output file you are trying to create already exists, then overwrite the file. If this option is not selected, the program will start with the original output filename and, if the output filename already exists, will insert a ".CVxx" suffix before the file extension, where xx is a number starting at "01" and increasing as needed until no such filename exists yet.


Select Folders - Watched Folder Compression

Select Folders - Watched Folder Mode

Maestro allows you to set up on your computer a continuously-running automated Windows service , which will automatically process any documents dropped into a specified watched folder.

  1. Explorer View - Similar to the folder view in Batch Processing mode, this window shows a tree listing of all folders on your computer and/or on the network. Clicking on the plus sign next to a folder will expand the folder in the tree. You can drag a folder from this pane to the "Folders to Watch" pane to select a folder to be watched. Alternatively, you can drag folders from Windows Explorer instead of using the built-in Explorer View.
  2. Processing Control Options - A few options are provided here relating to how to handle the watched folder contents:
    • Run in multiprocessing mode - If your computer has more than one CPU, or if you have a processor that supports HyperThreading, this option will cause Maestro to run on multiple processors simultaneously when generating multiple output PDFs. Choose the number of processors that you would like to use from the drop-down box below this option. Note that if your license is limited to a certain number of processors, the choices in the drop-down box will be limited to this upper bound.
    • Overwrite any existing files - If a file with the same name as an output file you are trying to create already exists, then overwrite the file. If this option is not selected, the program will start with the original output filename and, if the output filename already exists, will continue to insert the ".CV" extension until no such filename exists yet.
    • Advanced Options - If you click the button "Advanced Options...", the "Advanced Watched Folder Settings" pane will pop up, giving you more custom options regarding watched folder settings.
  3. Folders to Watch - Folders to be watched are dragged into this window, either from the Explorer View above or from an external Windows Explorer window. Dragging a folder into this box causes a window to pop up prompting for Watched Folder Item Settings, and the folders are added to the list after you specify the destination folder. In the end, this window shows a list of each folder to be watched, along with its type/status and where the output files will be placed.
    • Selected item(s) - Remove and Edit options will become available if you have set up a folder and selected it in the GUI. If you have a watched folder job running, you can click on "Pause" to stop the job and then click on "Resume" to continue the job.
    • Item Setting - Once we created a new watched folder entry, we can double click (or right click or use the "Edit" button in the pane) to modify the properties of the job. Please go to Item Setting page for detail.

More:

Watched Folder Advanced Settings

Watched Folder Item Settings


Watched Folder Advanced Settings

By clicking on the Advanced Options button from the Select Folders panel, the Advanced Watched Folder Settings dialog is displayed. Here you can set more advanced general rules for watched folder operation and control the watched folder service directly.

This dialog consists of three tabs, each of which is described separately below.

  1. Queueing and Priority

    The Queueing and Priority tab contains the following sets of options:

    • Set custom queuing rules:

      - Queue only files that are at least <x> seconds old - In order to ensure that files are not still in the process of being written or copied when the watched folder service finds them, this feature allows you to specify the number of seconds that must have elapsed since a file was modified. The file will not be queued for processing until it has not been modified for at least that many seconds.

      - Number of files to queue at once - Limits the maximum number of files to queue for processing each time the watched folder service scans the folder. These files will then be processed according to the priority rules (see below) before another group of files is queued.

      - Rescan folder after every <x> seconds - Specifies how many seconds to wait before checking the watched folder again for new files.

    • Set custom rules for processing priority:

      - There are three different priority rules that can be used here: alphabetical order, smallest file to largest file, and oldest file to newest file. We can also combine these rules together to fulfill different needs.

  2. Default Schedule

    The Default Schedule tab allows you to optionally restrict when watched folders are polled, according to time frames that can be specified for each day of the week. These settings will apply only when an individualized schedule has not been set for a given watched folder.

  3. Service Status

This tab displays the service status and the content of the configuration file (WatchedFolder.cfg). The configuration file can also be manually changed here. It should be cautioned, however, that you should not change this configuration file manually unless you are fluent in the required syntax of the file. An incorrect configuration file can have unexpected effects on the processing of the files.


Watched Folder Item Settings

Similar to Batch Item settings, once a folder is selected as input, we can modify the properties of it. A screen shot of the dialog appears below.

  1. Input and Output Folders - Basic folder options regarding to the input and output files

    • Input folder is located on - Specifies whether the input folder is located on the local network or on a remote FTP connection. If no FTP connections have been defined via the Communications panel, the only option here will be "this computer or local network".

    • Input folder path - the path to where the input files are located. If the input source is an FTP site, the path should start with a forward slash ("/") for the root FTP folder.
    • Include subfolders - Option to go recursively through all subfolders of the specified input path and process whatever files are found.
    • Output Folder is located on - Specifies whether the output folder is located on the local network or on a remote FTP connection (see above).
    • Output folder path - the path to where the output files will be placed. Note that for watched folders, the output folder cannot be the same as the input folder.
    • Replicate recursive structure of input folder - If you chose "Include subfolders", this option replicates the folder structure from the source folder in the destination folder. Each output file is placed in the subfolder corresponding to its source counterpart. For example, if your source folder is D:\source and your destination folder is D:\dest, any source files found in a subfolder called D:\source\samples will have their output PDF files created in D:\dest\samples. On the other hand, if the Replicate option is not selected, all output files will go directly into the destination folder (D:\dest), side-by-side.
  2. Job Control Options - Actions that we will take for the input files
    • Processed input files - Determines what will happen to processed input files. The options are to "delete" them or "move to" a specified folder. (There is no "leave" option for watched folders.)
    • Replicate recursive structure of input folder (processed input files) - If you chose "Include subfolders", this option replicates the folder structure of the source folder in the path to which the processed files are moved. Otherwise, all of the processed files will go directly into the top-level folder specified by the "move to" path.
    • Move failed input files to - Allows you to specify a folder which will receive a copy of all input files that did not successfully produce a valid output file.
    • Replicate recursive structure of input folder (failed files) - If you chose "Include subfolders", this option replicates the folder structure of the source folder in the failed files path. Otherwise, all of the failed files will go directly into the top-level folder specified for the failed files.
    • Process files of type - If you are processing an entire folder, the check boxes in the window that appears when you click the "Change" button allow you to choose which files to process in the given folder. For each file type you wish to process, check its corresponding box. Note that if you are processing an individual file, the file type is inferred from the file extension, so these settings are not relevant.
  3. Processing Schedule - If you select Use Individualized schedule, a setting window will show up for you to modify the Folder Monitoring Schedule as mentioned in Default Setting in the Advanced Setting.


Image Processing (Compression)

Main Panel

Image Processing

The Image Processing panel allows you to specify various options related to how images are handled during the preprocessing stage. These options are applied to each image before any other processing is performed. The controls on this panel are divided into five separate tabs:

  • General Preprocessing
  • PDF Input Processing
  • Cropping
  • Deskew/Rotation
  • Color Inversion

The controls on each tab are described in further detail in their respective subsections.


General Preprocessing

Image Processing - General Preprocessing

The controls on this tab allow you to specify settings for image smoothing/cleaning, colorspace remapping, and resampling. The available options, divided into three sections for bitonal, greyscale, and color image options, respectively, are as follows:

  1. Bitonal Images - These options allow you to "clean up" bitonal images on more or less aggressive levels, as described below:

    Smoothing - Attempts to smooth out jagged edges in the image. There are four modes of smoothing: None, Low, High, and Auto. Auto will attempt to determine the best level of smoothing for your images, and High is more aggressive than Low. Images processed with smoothing enabled should be checked to ensure the output is as expected.

    Cleaning - Performs only cleaning that would still render a perceptually lossless facsimile of the original document. This option safely removes only the tiniest stray dots as well as single-pixel protrusions from straight lines.

    Despeckling - More ambitious than Cleaning, this removes larger stray specks that are judged to be artifacts from scanning or photocopying. Images processed with despeckling enabled should be checked to ensure that no portion of the actual image was removed.

    Resample Images - Allows you to resample your images to a different resolution. This can be a fixed dpi value or a percentage of the current resolution. If you choose a fixed dpi value, the options are as follows:

    • resample - All images will be resampled at that resolution.
    • upsample - Only images with an initial lower resolution will be resampled at that resolution. Thus, no images will be at lower than the given resolution (but some may retain a higher resolution).
    • downsample - Only images with an initial higher resolution will be resampled at that resolution. Thus, no images will be at higher than the given resolution (but some may retain a lower resolution

    Additionally, the resampling method can be specified. The resampling method selected can affect how clear the final image looks. The default resampling method is "smart bicubic".

  2. Greyscale Images - These options only apply to greyscale images within your document. The options are:

    Smoothing - Same as smoothing for bitonal images.

    Remap Image Colorspace - If this option is enabled, all greyscale images will be converted to bitonal by one of the following two methods:

    • Dither to Bitonal - Dithering simulates shades of grey by placing groups of pixels together in varying densities. More dense areas will appear to be darker shades of gray.
    • Threshold to Bitonal - Thresholding goes through each pixel in a greyscale image and all pixels whose intensity value is higher than the Threshold Value are turned white, while the remaining pixels are turned black The value should be between 0 and 255. The lower the number, the "whiter" your pages will be.

    Resample Images - Same as resampling for bitonal images.

  3. Color Images - These options only apply to color images within your document. The options are:

    Smoothing - Same as smoothing for bitonal images.

    Remap Image Colorspace - Same as for greyscale images, except there is an additional option:

    • Remap to Greyscale - Remapping converts each pixel of a color image to greyscale by averaging the red, green, and blue intensity values.

    Resample Images - Same as resampling for bitonal and greyscale images.

  4. Blank Page Detection - This section controls only one feature:

    Remove blank pages from multipage documents - If selected, the software will automatically detect pages that are considered blank within the specified tolerance and remove them. The tolerance should be a number from 0 to 10, with 0 meaning that any markings at all on the page will cause the page to be considered non-blank. This feature applies only to multipage documents, and the software must be running in raster mode.


PDF Input Processing

Image Processing - PDF Input Processing

The options on this tab affect how PDF input files are treated.

  1. Rasterization options

    PDF files have a unique property in that they can contain multiple content streams on the same page. Options are thus provided here for either retaining the individual content streams of each PDF page ("stream mode") or merging them all into a single page image as if the page were printed and re-scanned ("rasterization mode"). The three options provided are:

    • Do not rasterize PDF pages (retain individual content streams) - If this option is selected, no rasterization will occur. The individual content streams will be preserved in the output file, and OCR/text recognition analysis will be performed on each image stream individually.
    • Rasterize each page for both image processing and OCR/recognition - If this option is selected, each page will be converted to a single flat image before both image processing and OCR/recognition. Individual content streams will not be retained, and any special content such as bookmarks and hyperlinks will be discarded. Additionally, any font-based text is converted to an image. Thus, the overall effect of rasterizing a PDF file is similar to printing the page and then re-scanning it.
    • Rasterize PDF input to the OCR/recognition engines only - If this option is selected, the output file will retain its individual content streams, but OCR/text recognition analysis will be performed (if applicable) on each page as if it were a single image.

    If the third option is chosen ("Rasterize each page for both image processing and OCR/recognition"), the rest of the options on this tab will become enabled, as described further below.
  2. Output Resolution - By default, Maestro will attempt to automatically detect the resolution of the source PDF file and use that as the target resolution for the output PDF file. However, this process is not foolproof. For situations in which you want explicit control over the target resolution, you can set a value manually by choosing the second option in this frame. Note that this option applies only to documents processed in rasterization mode (see item 1 above). For PDF files processed in stream mode, modifying the target resolution requires that the streams themselves be resampled. This is different from the resampling options on the General Preprocessing tab.
  3. Document Colorspace Treatment - When processing in rasterization mode, this option allows you to specify whether you want all PDF input documents to be treated as color or bitonal. If you treat them as bitonal, all output files will be created as such.
  4. Re-processing of PDF Files - For Maestro, there is one option here:
    • When processing in stream mode, for those files that have been previously processed, you can select not to process them again. Note that this option is enabled for stream mode (non-rasterization mode) only.


Cropping

Image Processing - Cropping

When dealing with PDFs consisting of scanned images, these options will allow you to crop each page prior to processing. There are three sections on this tab:

  1. Bitonal Cropping - Sets the cropping options for bitonal images. There are four modes available:
    • None - No cropping will be done. All bitonal images will be processed as-is.
    • Fixed - Crop each image in the same place. The Left, Right, Top, and Bottom crop locations can be entered in the boxes below.
    • Auto - Allow Maestro to determine where to crop each page. If this option is selected, please check your output files to make sure Maestro is cropping in the right place. This option is only available for bitonal images.
    • Constrained - Allow Maestro to determine where to crop each page, but only attempt to crop within the boundaries specified. This option is only available for bitonal images.

      When Auto or Constrained cropping is selected (bitonal images only), you can also specify a padding box, i.e., how much margin spacing will be provided around each edge of the page after it is cropped. The padding fill color can be specified as White (default), Black, or Transparent.

  2. Greyscale Cropping - Sets the cropping options for bitonal images. There are only two modes available here:
    • None - No cropping will be done. All greyscale images will be processed as-is.
    • Fixed - Crop each image in the same place. The Left, Right, Top, and Bottom crop locations can be entered in the boxes below.

  3. Color Cropping - Sets the cropping options for color images. Offers the same modes as Greyscale Cropping.

NOTE: If your source files are PDF files, you will need to enable rasterization for the cropping options to have any effect. To enable rasterization, choose the "Rasterize each page for both image processing and OCR/recognition" option on the PDF Input Processing tab.


Deskew/Rotation

Image Processing - Deskew/Rotation

Maestro provides options for both automatically deskewing and manually rotating scanned pages. The dialog appears as shown below.

If a scanned page is not oriented right-side-up, Maestro has options to detect this and rotate it to the proper orientation. The options on this tab control this feature.

  1. Page Deskew/Rotation
    • Do not deskew or rotate pages - No attempt will be made to rotate or deskew pages. This is the default setting.
    • Flip upside-down pages and repair page skew - If a page is rotated 180 degrees, or rotated within a few degrees of the correct orientation, Maestro will rotate it to the correct orientation.
    • Automatically rotate all pages to their readable orientation - If a page is rotated in any direction, Maestro will rotate it to the correct orientation.
    • Manually rotate all pages as specified below - Rotate all specified pages in the same manner
  2. Manual Rotation Direction - If "Manually rotate all pages as specified below" is selected above, this selection will determine what rotation is applied. Otherwise, this option is disabled.
  3. Interpolation Methods - Allows you to specify the interpolation algorithm used in image rotation. Separate options are provided for bitonal, greyscale, and color images.
  4. Page Range - If you wish to rotate or deskew only certain pages in the document, you can specify those pages here.

NOTE: If your source files are PDF files, you will need to enable rasterization for the deskew/rotation options to have any effect. To enable rasterization, choose the "Rasterize each page for both image processing and OCR/recognition" option on the PDF Input Processing tab.


Color Inversion

Image Processing - Color Inversion

Maestro provides options for inverting pages, including automatic detection of reverse-video conditions. The dialog appears as shown below.

  1. Page Color/Intensity - This drop-down box allows you to choose which pages, if any, should have their colors inverted. The options are as follows:
    • Do not invert - No pages will have their colors inverted. This is the default setting.
    • Auto-detect if a page requires inversion - The image processing engine will examine each page, and if it notices that it has light-colored text on a dark background, it will invert the page colors.
    • Always invert page regardless of appearance - This will indiscriminately cause all pages to be rendered in reverse video.
  2. Page Range - Choose the range of pages where color inversion should be performed.

NOTE: If your source files are PDF files, you will need to enable rasterization for the color inversion options to have any effect. To enable rasterization, choose the "Rasterize each page for both image processing and OCR/recognition" option on the PDF Input Processing tab.


Output Options

The options on this panel affect how the output PDF is produced, including Acrobat version compatibility and page dimensions.

  1. PDF Version- Your selection from this list determines which features will be available in later steps of the wizard. Choosing a higher version number allows you to take advantage of more of the procession capabilities of Maestro, but at the same time, this may make the file incompatible with earlier versions of Adobe Reader. It is therefore important to know what you can expect about the users of the documents you are converting to ensure that you provide them with a file that is compatible with their viewer. Some notable points about the various versions are as follows:

    • Acrobat 4.0 compatibility does not offer JBIG2 or JPEG2000 image procession, and the security features are more limited and use weaker (40-bit) encryption.

      Acrobat 5.0 compatibility (and higher) offers JBIG2 procession (for bitonal documents), and provides more advanced security features, including 128-bit encryption and more options regarding permissions.

      Acrobat 6.0/7.0/8.0/9.0 compatibility (and higher) offers JPEG2000 procession (for color and greyscale documents).

      Adobe PDF/A-1a and PDF/A-1b compatibility is a special mode that complies with the PDF/A specifications for archiving. Some of the abovementioned procession features, etc., may not be available in this mode; see the Adobe PDF/A specification for further details. PDF/A compatibility is represented internally as Acrobat version 128.

  2. PDF/A Color Profile - If PDF/A compatibility mode is chosen, this group box will be enabled. Here you can select an RGB profile, which affects the color translation of RGB images within the file.
  3. Output Page Dimensions - Set up the size of the output file:
    • Page Size - Allows you to manually specify page dimensions if desired. Several preset formats are provided, and you can also specify custom dimensions. If the page dimensions are left as "automatic", the Maestro engine will infer the expected output page dimensions from the input page size and/or resolution.
    • Margin - Allows you to specify a margin for the output page. The output page image will be scaled down if necessary to fit within this margin.


OCR Options

Main Panel

OCR Recognition Options

This panel allows you to control settings used in the OCR (as well as optional ICR and barcoding) analysis of the document. The Recognition Options panel looks as follows:

  • Include recognition(OCR) - To turn on OCR, check the box labeled, "Include recognition(OCR)". After checking this box, the options in the rest of the topic (if applicable to the feature chosen) will be enabled. Note that the "Include recognition(OCR)" check box will be disabled if your license does not include OCR capability.
  • Analysis Options - Basic settings used in the OCR.
  • Advanced Analysis - More complex settings used in the OCR.
  • Output Options - Options that include output formats of your document.


Analysis

OCR Recognition Options - Analysis Options

This pane allows you to control basic settings used in the OCR (as well as optional ICR and barcoding) analysis of the document. The OCR Analysis Options panel looks as follows:

  1. Analysis Mode - The OCR engine can make tradeoffs to increase accuracy or speed. Selecting Real-Time will significantly speed up OCR analysis, but some text may be missed. Selecting Accurate or Super-Accurate will pick up text that Fast or Real-Time mode might miss, but OCR analysis will take longer. Fast Mode is a compromise between Real-Time Mode and Accurate Mode. Note that Super-Accurate mode should not be used with Recognition Zones (described below).
  2. Language Dictionary - Allows the user to select which language dictionary to use in OCR/ICR analysis. English, French, German, Italian and Spanish are the default dictionaries. If the OCR Language Pack is installed, other languages will be available for selection as well.
    • Use an additional custom dictionary - In addition to the language dictionary selected, you can also specify an additional language dictionary to be used for OCR analysis. This may be useful for special applications such as legal or scientific documents where many industry-specific words are often used. Please contact CVISION Technologies for information on the required dictionary format if you intend to use a custom dictionary.
  3. Page Range - Specifies the page range over which OCR is applied. You can select either "Entire document" or a specified range of pages. If the upper bound of a specified page range is higher than the number of pages in the document, all pages will be OCRed. In addition, you can choose whether to OCR only the even-numbered or odd-numbered pages within the selected range.
  4. Document Orientation - If your document collection contains pages that are not oriented right-side-up, setting this option allows the OCR engine to check other orientations (at any arbitrary skew angle) if a page does not readily yield OCR information. Note that this option can slow down the OCR engine a little bit, but it is recommended you turn it on to get better OCR result whenever you are not sure any of your document pages is rotated.


Advanced

OCR Recognition Options - Advanced Analysis

This pane allows you to control advanced settings used in the OCR (as well as optional ICR and barcoding) analysis of the document. The OCR Advanced Analysis panel looks as follows:

  1. Recognition Types - These three check boxes enable or disable their respective recognition options. For example, to turn on ICR, check the box labeled "ICR". After checking this box, the options on the rest of the page (if applicaple to the feature chosen) will be enabled. Note that ICR and Barcode Recognition may be disabled if these modules were either not installed or not licensed. The ICR and Barcoding module can be downloaded from CVISION's website at www.cvisiontech.com.
  2. Recognition Zones - Restrict the OCR engine to analyzing specific areas of the image. This can result in a speed increase if you know that only certain areas of your image may contain text. After enabling this option, click on the "Define Regions..." button to define the zones that will be included. Note that if the OCR analysis mode previously chosen was Super-Accurate mode, it will be forced to Accurate mode when the Recognition Zones option is selected.
  3. OCR for Color and Greyscale Images - Auto threshold color and greyscale images is internally for OCR purpose which will speed up OCR processing time.
  4. Timeout Settings - These options set a cutoff time for text recognition analysis. You can either have the timeout set automatically or specify a maximum number of seconds. If analysis time for a given page exceeds the timeout interval, the recognition engine will give up on that page and Maestro will move on to process the next page in the set.

  5. Word Confidence - Indicates how "sure" the OCR engine must be of the word it has detected in order to retain it. Default is 0%, which means that word confidence will not be scrutinizted. The maximum confidence of 100% means that the OCR engine must be fully confident in the word in order to retain it.


Output

OCR Recognition Options - Output Options

This pane allows you to control the output settings used in the OCR (as well as optional ICR and barcoding) analysis of the document. The Output Options panel looks as follows:

  1. OCR/ICR Grouping - This set of options lets you store the recognized text as either lines or words. Line-based grouping is usually recommended, as it keeps the PDF text layer as compact as possible. If on a particular document the bounding box placement (when searching on keywords) is not sufficiently accurate, then switch to word-based grouping. This will improve the localization of the text bounding boxes, with the tradeoff of some increase in the size of the text layer. In color documents processed using segmentation-based coding, word-based OCR is the default setting.

  2. Auxiliary Data File Output - Selecting this option generates a separate file containing all of the text in the just-created PDF file. The text output file is given the same name as the PDF file, but with the extension for the chosen format.

    • Note: If Excel or Word 2000 RTF format is selected, the computer must have Microsoft Office installed in order for this feature to work properly. If Microsoft Office is not installed, the OCR engine will output each page of OCR data to a separate .xls or .rtf file instead of creating a single OCR output file for the file being processed.

  3. OCR Confidence Report - Selecting this option will generate a separate file containing word confidence information.

  4. PDF Accessibility - Generates a Section 508-compliant tagged PDF file.


Communications

This panel allows you to define FTP connections for remote folder processing.

  1. Existing FTP sites - A list of FTP sites already added as valid input directories for Maestro.
  2. Site Properties - Contains necessary properties to be able to connect to a specific FTP site.
  • Site name - An easily identifiable site name that you choose. The site name will be displayed in the Existing FTP sites list after committing the settings.
  • Host name or IP address - (clarify whether we need to put ftp:\ in it) The address of an FTP site
  • Default folder - A default input/output folder on the FTP site. Can be changed at a later time.
  • Use passive transfer - Switch between passive and active connections.
  • Use anonymous login - Login without a username and password.
  • Username/ Password - The credentials for the FTP site.
  • Connection timeout interval - If Maestro is unable to connect to the FTP site it will attempt to connect again after the amount of seconds in this field.
  • Disconnect if idle for at least - Time to wait idle until disconnecting from the FTP site.
  • Test connection - Attempts to connect to the given FTP site.
  • Commit settings - Commits the FTP site settings and adds it to the Existing FTP sites list.


Document Features

In Document Features, you can add information about document. This panel is divided into 4 parts including:

  • General Features - Options for web optimization and thumbnail.
  • Document Info - Options for Document Information.
  • Metadata - Options for adding metadata into file.
  • Viewer Preferences - Set up PDF viewer preferences.


General Features

Document Features - General Features

The General Features tab of the Document Features panel allows you to set options for web optimization (linearization) and thumbnail handling, as shown below.

  1. Optimize files for Web transmission - PDF files created with this option allow you to jump directly to a specified page and display it in your browser-based PDF viewer, even before the entire file has downloaded. Note that not all PDF viewers support this functionality. The Adobe Acrobat Reader™ web browser plug-in is one viewer that does.
  2. Thumbnails - Although currently no facility is provided for inserting thumbnails into a PDF document from scratch, this option lets you decide what to do with any existing thumbnails contained in PDF input files. The "keep thumbnails" and "remove thumbnails" options are fairly straightforward. If you choose "automatically decide...", then Maestro examines each PDF file to see whether the "show thumbnails" flag is set. If it is set, the thumbnails are preserved. If not, the thumbnails are removed, and you must rely on your PDF viewer to recreate the thumbnails on the fly.


Document Information

Document Features - Document Info

The Document Info tab allows you to specify information that will go into the document information dictionary of your generated PDF files. This information will be displayed when you view the PDF's document properties in Adobe Reader™. The dialog appears as shown below.

The controls provided here are as follows:

  1. Use custom document information fields - Check this box to enable the other controls.
  2. Document Information Fields - The following fields can be set:
  • Author, Title, Subject - The author, title, and subject of the document.
  • Keywords - Any keywords that may be useful to include. The keywords are stored as a single string and may be separated by any common delimiter (space, comma, semicolon, etc.).
  • Trapped - Specifies whether the document has been trapped. This can generally be left as the default value of "Unknown". Please see the Adobe PDF Reference for more information about trapping.


Metadata feature

Document Features - Metadata

These options permit the insertion of custom metadata into the PDF file. Each metadata item consists of a key and a value.

  1. Add New Metadata Item - Specify the key name and the value for this metadata item. When done, click "Add this item" to add it to the list.

  2. Current Metadata Tags - Shows the current set of tags to be inserted. To remove a tag, click on that row and then click the Remove button.


Viewer Preferences

Document Features - Viewer Preferences

These options affect how a PDF viewer will display the documents generated by Maestro.

  1. Use custom viewer preferences - If this box is checked, the other controls on this page will be enabled.
  2. Viewer Preferences - Allows you to select various options for how the document will be displayed in your viewer when it is opened.


Annotations

Annotations that can be added to your documents include headers, footers, stamps and watermarks.

The panel is divided into four tabs, including:

  • Headers - Options to add contain in headers
  • Footers - Options to add contain in footer
  • Stamps - Options to add stamps in document
  • Watermark - Options to add watermark in document


Headers and Footers

You can overlay text headers and/or footers on your output PDF documents. The header or footer may be a date stamp, page number, bates stamp, or custom text, as described below. Options are provided for setting the font and alignment of each stamp, and overall margin and page range information can also be specified.

A screen shot of the Headers tab is shown below. The Footers tab is almost identical.

  1. Field Type and Style - Allows you to select the text you want in the header and footer. The Type options are as follows:
    • Date Stamp - The date when the documents were processed. The Style menu has several date formats to choose from.
    • Page Number - The page number, as defined in the output PDF. The Style menu has several formats to choose from.
    • Bates Stamp - The page number prefixed with any text you enter in the Prefix field. The Prefix field replaces the Style menu when Bates Stamp is selected as the Field Type.
    • Custom Text - Any text you write in the Text field. The Text field replaces the Style menu when Custom Text is selected as the Field Type.
  2. Text Style - The font, size, color, and alignment of the header or footer.
  3. Add this header - Pressing this button causes a new header/footer with the currently selected content and style to be added to the header/footer list.
  4. Header/Footer List - Lists each header/footer that has already been added. Headers and Footers can be modified by right clicking on them, selecting the Properties button, and then editing the Header Item Properties box. Headers and Footers can be removed by clicking on them, then pressing the Remove button on the right side of the list. Alternatively, Headers and Footers can be removed by right clicking on them, and then selecting the Remove button. If multiple headers (or footers) are specified for a given alignment, they will be stacked vertically in the order specified.
  5. Overall Header/Footer Settings - Settings that apply equally to every header and footer. Changing a setting here will change it for both headers and footers.
    • Margins - How far away from each edge of the page the headers/footers appear. Header margins may be set for the top, left, and right, whereas footer margins may be set for the bottom, left, and right.
    • Page Range - Specifies the page range over which the headers or footers are applied. You can select either "Entire document" or a specified range of pages. If the upper bound of a specified page range is higher than the number of pages in the document, all pages will be included. In addition, you can choose whether to include only the even-numbered or odd-numbered pages within the selected range.


Stamping

Stamps

In addition to text headers or footers, you can also specify any number of graphical stamps to be overlaid on your document pages. The options on this panel are described below.
  1. Filename - Select the file that you wish to use as an image
  2. Image is: - Select whether the image is bitonal, greyscale, or color
  3. Use Image Masking - When this option is selected, the ranges of colors chosen in the Mask Range box will be "transparent", meaning that the background will show through spaces in the stamp image where the color is within the mask range.
  4. Dimensions - Where to place the stamp on the page.
    • X Offset - the distance from the left edge of the page
    • Y Offset - the distance from the top of the page
    • Width - How wide the image is
    • Height - How tall the image is
  5. Mask Range - The mask range lets you specify the range of colors from the original image that should be treated as transparent. For color images, you can choose Red, Green, and Blue ranges for masking. For greyscale images, you can choose a range of shades of grey that will be treated as transparent. For bitonal images, white is transparent and black is not.
  6. Page Range - Specifies which pages to add the stamp to. This set of options is equivalent to Page Range in Headers/Footers above.
  7. Add button - Adds a stamp with the current settings to the Stamp List below. This button becomes enabled when a valid filename is supplied in the filename text box.
  8. Stamp List - A list of stamps that will be added to the generated PDFs. The order of the stamps affects their "stacking order" on the page if they overlap. The buttons along the right side allow you to reorder the stamps and remove them from the list. Right-clicking on an item on this list allows you to choose "Properties" and view the properties for the stamp.


Watermarks

Watermark

In addition to stamps, you can apply a single graphical watermark to your pages that will appear underneath the page content. The options are as follows:

  1. Apply a Watermark - Checking this box enables the rest of the controls on this tab.
  2. Filename - The location of the graphic that will be used as the watermark. This graphic may be a color/greyscale JPEG, a bitonal (black-and-white) TIFF, or a bitonal BMP.
  3. Page Range - Specifies the page range over which the watermark is applied. You can select either "Entire document" or a specified range of pages. If the upper bound of a specified page range is higher than the number of pages in the document, all pages will be watermarked. In addition, you can choose whether to watermark only the even-numbered or odd-numbered pages within the selected range.
  4. Opacity - Determines how transparent the watermark should appear. At 100%, the watermark will be appear as opaque as the original image, and at any value lower than that, the watermark will appear more "faded". At 0%, the watermark will not be visible at all.


Security

In the Security panel, you can set up document Password and other security options. This panel is divided into 2 parts, including:

  • Password/Encryption - Set up password to open or encrypt files
  • Feature Permissions - Set up permissions for altering/printing files


Passwords/Encryption

Security - Passwords/Encryption

The Passwords/Encryption tab lets you specify passwords that will be used to read the input files (if they are already encrypted) and write them with new password information. It also allows you to specify the level of Adobe encryption compatibility. The options are as follows:

  1. Encryption Passwords - Whether or not a document was previously password-protected, you can require that a password be provided to open and/or edit the output files.
    • If an owner password is given, that password will be required to edit the output files or change permissions.
    • If a user password is given, that password will be required to view the output files.
    • The user and owner passwords may be different, and an owner password be given even if no user password is given.
  2. Password Access for Incoming PDF Documents - This section allows you to enter a password for any password-protected documents that are being processed and optionally apply the same password to the output files.


Feature Permissions

Security - Feature Permissions

Various permissions can be set for your documents if you are using encryption. The options are as shown below.

  1. Feature Permissions for Output PDF Files -
    • Printing - You may allow printing in high resolution, in low resolution only, or not allow printing at all.
    • Extraction - You may allow the user to extract the text from the PDF file for any reason, for screen-reading devices only, or not at all.
    • Content Modification - If the resulting PDF has forms or other editable items, you may allow the user to edit some or all of these items.
  2. Forms, Signatures, and Comments - Allows you to restrict access to editable forms, signatures, and comments.
  3. Document Assembly - Adobe Acrobat allows modifications to PDF documents. Unchecking this item will prevent users of the full version of Acrobat from editing the generated PDF file.


JobOutput

Main Panel

Job Output

Once you click "Run Job", the output from your batch job will begin to display in the Job Output panel.

  • Start - Starts the batch job run.

  • Stop - Stops the batch job run.

  • Clear Window - Clears the output window.

  • Open batch command file - Opens the actual batch file containing the processing options, flags, and paths.

  • Open audit log file - Opens an audit log containing information for each processed file in the job. This button is enabled only if the audit log is enabled. See Log File Options for more information.


CVCompress

Command Line Interface

The CVConvert Utility

CVConvert is a command-line batch processing utility. It allows Maestro to be invoked from outside the user interface, which facilitates the integration of Maestro into an automated document workflow environment.

The command syntax for CVConvert is presented below using notation that is fairly standard. Here is a table explaining the notation:

Notation | Description | Meaning
item | boldfaced item | literal text to be typed
<item> | plain-text item in angle brackets | placeholder for user-specified parameter
{a|b|c} | items enclosed in curly braces and separated by vertical bars | type any one of these parameters only
[item] | item in square brackets | optional parameter
text | italicized text | comment or explanation (not part of the syntax)

The command syntax for CVConvert is:

CVConvert [<Flags>] -in <Input Directive> [<Input Options>] [-out <Output directive>[<Output Options>]]

where:

<Flags> = {one or more of various options - see below}

<Input Directive> = {<File Input>|<Directory Input>}

<File Input> = {<filename(.tif, .tiff, .pdf, .bmp)>|<ListInput{files}>}

<Directory Input> =-dir [-r(ecursive folder traversal)] {<dirname>|<ListInput{folders}>}

<ListInput{type}> =-lst<file.lst>where <file.lst>contains a whitespace-separated list of {type}

<Input Options> = [-ext {pdf | tif | jpg | bmp}]

<Output Directive> = {<outfile.pdf> | <output folder> [-r(econstruct input folder structure)]}

< Output Options> = [-mergedir] [-clobber]

Extended Explanation:

Flags

Various command-line flags control the nature of the conversion process itself, as well as features that affect the appearance or metadata of the final document.

The full set of flags is rather extensive, and can be found in Appendix B.

CVConvert Sample Usage

Default processing mode requires no flags before the -in flag:

    CVConvert -in ...

If your computer has more than one CPU, or if you have a processor that supports HyperThreading, CVConvert can use all of your CPUs simultaneously when generating multiple output PDFs. If you have two CPUs, jobs will run up to twice as fast. If you have a HyperThreading-enabled processor, there will be an additional 10-15% speedup. This option will have no effect if you are only generating one PDF. The -mt option is used as follows:

    CVConvert -mt -in ...

You can specify the number of threads that are used as follows:

    CVConvert -mt 4 -in ...

The bitonal mode that will usually produce the smallest files requires that cleaning is ON, and the matching mode is aggressive. Stream-based mode is usually recommended as well, but may only be used when the input files are PDFs. The command line for this option set would look as follows:

    CVConvert -s ON -c ON -m -stream -in ...

CVConvert allows you to make your PDF files searchable. This is accomplished using the -o option. For example,

    CVConvert -s ON -c ON -m -stream -o -oocr -in ...

generates a PDF image in which the printed text should be searchable.

A number of options for OCR/recognition are available. Those options are documented on the Flags page.

If you are running a very large job using a single CPU, we recommend using PDFConvert.exe in place of CVConvert.exe, as it provides slightly better performance. All of the other flags remain the same, so for example you may have:

    PdfConvert -m -c ON -o -oocr -in ...

Input Directive

The input directive consists of either file input or folder input (which can recursive). Single file input can be
simply specified using the command:

    CVConvert -in file.tif

Instead of processing a single file, you can also process all TIFF (or PDF/BMP) files in a given folder. This is accomplished by inserting the -dir flag immediately after the -in flag and specifying a folder name instead of a filename. For example:

    CVConvert -in -dir c:\images

Note that when specifying a folder, you should specify the full path.

You can alternatively use a list file to specify a list of multiple files or folders you wish to process. This is accomplished by using the syntax -lst <filename> in place of a single explicit input filename or folder name. For example:

    CVConvert -in -lst files.lst (files.lst specifies a list of single files)

Or, for multiple folders:

    CVConvert -in -dir -lst folders.lst (folders.lst specifies a list of single files)

By default, when you use the -dir option, CVConvert processes only those files in the specified folder and then stops. If you would like CVConvert to recursively proceed into any existing subfolders, you must insert the -r flag immediately after the -dir flag, e.g.:

    CVConvert -in -dir -r c:\images

Input Options

The program can be used to process bitonal TIFF, PDF, or BMP images. If you are processing a single input file, the type of file being processed is inferred from the input file extension. If you are processing a folder, however, the types of files to be processed are specified via the -ext flag, followed by tif, pdf, jpg, or bmp. By default, CVConvert operates on the TIFF files in the specified folder and ignores other file formats. If you are using -stream flag, make sure you are using the -extpdf flag, and not any of -ext tif, jpg, or bmp.

Output Directive

If the input directive specifies a single file, the default output will be a single PDF file with the same base filename but with the file extension changed to pdf. The output filename can also be specified explicitly. For example:

CVConvert -in -dir c:\images\original.tif -out c:\images\converted.pdf

If the input directive specifies a folder instead of a file, and no output directive is specified, the default output is to create a single PDF file for each input file, in the same folder, with each output filename bearing the same name as the input file but with a .pdf extension instead. There are a couple of ways this behavior can be overridden. First, the output files can be redirected to a specified folder, though their names and number of pages will be preserved. This can be achieved by simply specifying an output folder after the -out flag, e.g.:

CVConvert -in -dir c:\images -out c:\images\pdf

where c:\images and c:\images\pdf are folder names.

As an additional option, the output files generated from each input folder can be merged into one .pdf file. See the next section, Output Options.

By default, if the -r (recursive folder traversal) option was specified in the Input Directive, all of the output files will be placed side-by-side in the specified (or default) output folder. If you would like the output files to be placed in a folder structure replicating that of the input files, you must add another -r (replicate input folder structure) flag after the output folder specification. Any output subfolders that do not yet exist will be automatically created.

It is important to note that list files produce somewhat different behavior than explicit output folders when used in conjunction with the -r (replicate) output flag. When an explicit output folder is named on the command line, any files that reside in the root of the input folder will go directly into the specified output folder. When the -lst option is used, however, each folder named in the list file will be created under the specified output folder, and the output files derived from each named input folder will go into their respective output subfolders. This means that even if only a single folder is named in the list file, a new folder with the same name as the one from the list file will be created as a subfolder of the specified output folder, and the files will be placed there. For example, if a file called dirs.lst contains a single line naming the folder c:\images, and the following command is issued:

CVConvert -in -dir -lst dirs.lst -out c:\images2 -r

then a folder called c:\images2\images would be created, and the files produced from c:\images\*.tif would be placed there.

Output Options

The program can be run in a mode that will cause it to merge folders into one file each. This is useful for clients who use folders to represent multipage files. This options is turned on with the -mergedir flag, e.g.:

CVConvert -in -dir c:\images -out c:\images\pdf -mergedir

where c:\images and c:\images\pdf are folder names. Note that the input files are added in lexicographic order according to the standard ASCII character set.

Another option affects output filenames. Normally, the output filename is generated by simply substituting a .pdf extension for that of the input file. However, sometimes there can already be a filename in that folder which is identical to the one that would be generated. By default, CVConvert will handle this by adding ".pdf" to the end of the filename (even multiple times) instead of just replacing the original extension , until a unique filename is achieved. For example, if you have a file called image1.pdf and another called image1.tif in the same folder, processing this folder to the same location will produce image1.pdf.pdf and image1.tif.pdf, so as not to clobber the original PDF file. However sometimes you may want to overwrite the existing file. In that case, add the -clobber option:

CVConvert -in -dir c:\images -out c:\images\pdf -clobber

Input/Output Options Sample Usage

First, let's process a single file:

CVConvert -in c:\images\doc1.tif

The expected output here is a single PDF file, c:\images\doc1.pdf .

Let's process the same file specifying a different output file:

CVConvert -in c:\images\doc1.tif -out c:\images\doc1_out.pdf

The expected output here is a single PDF file, c:\images\doc1_out.pdf .

Now let's go on to folder processing. Let's process the contents of a folder to separate PDF files.
First, let's run a dir commmand:

D:\databases\Testimages>dir /b *.tif
00000001.tif
00000010.tif
00000014.tif
00000023.tif
00000030.tif
00005014.tif
00005015.tif
00005787.tif

Now we shall process all of these files separately:

CVConvert -in -dir D:\databases\Testimages

After this command is completed, a listing of the PDF files in that folder will produce the following output:

D:\databases\Testimages>dir /b *.pdf
00000001.pdf
00000010.pdf
00000014.pdf
00000023.pdf
00000030.pdf
00005014.pdf
00005015.pdf
00005787.pdf

If a folder is to be merged to a single PDF file, the following command should be used:

CVConvert -in -dir D:\databases\Testimages -out D:\databases\Testimages -mergedir

This output of this run will be D:\databases\Testimages\Testimages.pdf .

The final thing demonstrated here is a recursive folder traversal with folder tree reconstruction.

First, let's list the contents of the folder d:\data:

D:\data>dir /s /b *.tif
D:\data\legal\10074SC.tif
D:\data\legal\10092SC.tif
D:\data\legal\10142SC.tif
D:\data\legal\10143SC.tif
D:\data\misc\135.tif
D:\data\misc\140.tif
D:\data\misc\145.tif
D:\data\misc\1678.tif
D:\data\misc\18.tif
D:\data\misc\19.tif
D:\data\misc\2.tif
D:\data\misc\2027.tif
D:\data\misc\217.tif
D:\data\misc\22.tif
D:\data\patents\PAGE0001.tif
D:\data\patents\PAGE0002.tif
D:\data\patents\PAGE0003.tif
D:\data\patents\PAGE0004.tif
D:\data\patents\PAGE0005.tif
D:\data\patents\PAGE0006.tif

Using the command:

CVConvert -in -dir -r d:\data -out d:\data2 -r

the expected list of created PDF files is:

D:\data2>dir /s /b *.pdf
D:\data2\legal\10074SC.pdf
D:\data2\legal\10092SC.pdf
D:\data2\legal\10142SC.pdf
D:\data2\legal\10143SC.pdf
D:\data2\misc\135.pdf
D:\data2\misc\140.pdf
D:\data2\misc\145.pdf
D:\data2\misc\1678.pdf
D:\data2\misc\18.pdf
D:\data2\misc\19.pdf
D:\data2\misc\2.pdf
D:\data2\misc\2027.pdf
D:\data2\misc\217.pdf
D:\data2\misc\22.pdf
D:\data2\patents\PAGE0001.pdf
D:\data2\patents\PAGE0002.pdf
D:\data2\patents\PAGE0003.pdf
D:\data2\patents\PAGE0004.pdf
D:\data2\patents\PAGE0005.pdf
D:\data2\patents\PAGE0006.pdf

If you want all of the output files to be in the same output folder, remove the final -r

Using the command:

CVConvert -in -dir d:\data -out d:\data2

the expected list of created PDF files is:

D:\data2>dir /s /b *.pdf
D:\data2\10074SC.pdf
D:\data2\10092SC.pdf
D:\data2\10142SC.pdf
D:\data2\10143SC.pdf
D:\data2\135.pdf
D:\data2\140.pdf
D:\data2\145.pdf
D:\data2\1678.pdf
D:\data2\18.pdf
D:\data2\19.pdf
D:\data2\2.pdf
D:\data2\2027.pdf
D:\data2\217.pdf
D:\data2\22.pdf
D:\data2\PAGE0001.pdf
D:\data2\PAGE0002.pdf
D:\data2\PAGE0003.pdf
D:\data2\PAGE0004.pdf
D:\data2\PAGE0005.pdf
D:\data2\PAGE0006.pdf

If -mergedir would be used in this case, e.g.:

CVConvert -in -dir d:\data -out d:\data2 -r -mergedir

The expected list of files created is:

D:\data2>dir /s /b *.pdf
D:\data2\legal\legal.pdf
D:\data2\misc\misc.pdf
D:\data2\patents\patents.pdf


PDFCompress and PDFDecompress

Command Line Interface

A word about PDFConvert.exe

If you inspect a batch file generated by the GUI when you run a batch job, you may notice that it sometimes invokes a program called PDFConvert.exe instead of CVConvert.exe. This is a wrapper program for CVConvert.exe. Its role is to assist in memory management under certain conditions. However, it is recommended that when setting up command-line processing manually, you invoke only CVConvert.exe directly. If you seem to be experiencing any specific memory-management issues with Maestro, please contact CVISION Technologies.


CVista Monitor

CVista Monitor is a license tracking utility. It contains all of the pertinent information for all of the CVISION products installed on the machine. CVista Monitor can also be used to set up alerts and alert notifications.

  1. License Information
    • Host ID - Displays the machine Host ID.
    • Product - Drop-down menu containing all installed CVISION products. If you want to see license information for a specific product, select it from this drop down menu.
    • Status - Displays status information for the selected product's license.
  2. License Information (Extensive)
    • License ID - License ID of the current license.
    • Expires on - Expiration date of the license.
    • Installed on - Installation date of the license.
    • Capabilities - Displays the terms of the license.
    • Maximum documents size - Displays the maximum number of pages a document can contain. If the document has more pages than the maximum allowed it will not be processed. Normally this applies to Maestro Desktop Edition only.
    • Maximum concurrent processors - Maximum processors the software will utilize, as per the terms of your license. If the number of maximum processors is less than the number of processors on the machine, then only the maximum number will be utilized.
  3. Battery Information
    • Last used - Last time the license was used while processing.
    • Renewable Daily/Monthly/Yearly - Displays the maximum renewable pages, remaining pages, and pages used.
    • Spare Battery - Displays the original amount of spare pages, remaining pages, and pages used.
  4. Alerts and Miscellaneous
    • Alert History - Display history of alerts.
    • Active Alerts - Display active alerts, and modify custom alerts.
    • Alert Notification Options - Modify the way alerts are presented. Two options are to either display alerts on screen for a certain amount of time, or to email alerts to a specific address. If it is desired to send alerts to multiple email addresses, the email addresses should be separated by commas.
    • Copy License/ Battery Information to Clipboard - Copies important license information to the clipboard, so that it can be pasted into another application such as Notepad or your email program.
    • Continue Running in System Tray - Minimizes CVista Monitor to the system tray. If you want to close CVista Monitor, right-click the icon in your system tray and select "Close".


Bitmap

A bitmap is a scanned image that is stored in its raw form. Namely, a scanned image is initially captured by traversing the image one row at a time and sampling each row at a specified number of dots per inch (i.e., dpi). If the image is saved or represented in this "captured" or pictorial format, it is referred to as a bitmap.

Typically, it is easy to determine the file size of an unprocessed bitmapped image. For example, an 8.5" x 11" image is roughly 94 square inches in area. Using a 300 dpi scanner, there are 90,000 dots sampled per square inch, so that the total number of dots or pixels in the entire image is approximately 8,400,000. In bitmap form each pixel in a bitonal scan requires one bit of memory so that an unprocessed 300 dpi image requires roughly 1 MByte of memory. Thus, there is a strong motivation for image procession.


DCT

Discrete Cosine Transform is widely used in JPEG image format. DCT operates on blocks of the picture (usually 8 x 8 pixels) resolving them into frequencies and amplitudes.


Intelligent

Maestro Recognition Server generates images that have the perceptual advantage of a facsimile image and the dexterity of a text file. This is achieved in a two step process that first processes the image and then runs an OCR (i.e., optical character recognition) program on the internal word dictionary. The resulting image file is "intelligent" since it is fully searchable, just like a text file.


OCR

Optical Character Recognition is the process of converting a bitmap-based image file into a text file. Although a bitmap looks entirely like the original document, it is not in text format and cannot be used directly in searching and other text-based queries. A text file, such as a Word document, is fully searchable. After an image processed using CVista goes through the OCR process, it is fully searchable just like a text file, even though it still looks exactly like the original document.


Symbolic Matching

Symbolic matching is a very important part of the CVista procession process. In order to minimize the file size, subimages of the same recurring character, such as the letter "e" (for a given point size and font type), are only stored once in the file. This method constructs a font library, where each font is actually a subimage that is blended together from many similar instances of the same character. Symbolic matching is not restricted to text, and works equally well for any repeating image patterns.


Text Embedding

Text Embedding is an OCR method unique to CVista. It allows full image searchability with almost no increase in image file size.


A - Accessing Remote Volumes

Appendix

Appendix A -

Accessing Remote Volumes

In order to read or write files located on a remote machine, the watched folder service must have permission to do so. You can accomplish this by adjusting the logon settings of the service through the Windows Services control panel. To locate the properties page for the watched folder service, do the following:

  • From the Start menu, locate Control Panel and click on it.
  • In the Control Panel dialog, double-click on Administrative Tools.
  • In the Administrative Tools dialog, double-click on Services.
  • In the Services list, locate "CVISION Maestro Watched Folder Service", right-click on it, and choose "Properties" from the popup menu.
  • Choose the "Log On" tab in the dialog that comes up. This will invoke a dialog similar to the following:

  • Choose "This account" and specify an existing account which gives you the required read/write access on the remote machine. Note that if the processing operations are split among the hard drives of two machines (e.g., the reading is done from a remote machine and the writing is done on the local machine), you need to specify an account that is valid on both machines (with the same password on both).


B - Compression Flags

Appendix

Appendix B -

Command-Line Flags

The following is the full list of flags used to specify the various desired options when running CVConvert.exe. The groupings correspond roughly to the options pages that appear in the GUI. You can jump to the desired section from the short table of contents below.

  1. Overall Processing-Related Options
  2. Output Options
  3. Document Structure Options
  4. PDF Input Processing Options
  5. OCR-Related Options
  6. General Image Processing Options
  7. Annotations, Document Tags, and Viewer Preferences
  8. Security Options
  9. Logging Options

1. Overall Processing-Related Options

Option/Flag

Description

-mt [<threads>]

If your computer has more than one CPU, or if you have a processor that supports HyperThreading, Maestro can use all of your CPUs simultaneously when generating multiple output PDFs. If you have two CPUs, jobs will run approximately twice as fast. If your CPU(s) are HyperThreading-enabled, there will be an additional 10-15% speedup. If no number of threads is specified, Maestro will determine the number of processors to use. This option will have no effect if you are only generating one PDF.

-m <mode>

This flag determines the type of symbolic matching. Mode '0' is faster but generates larger files. Mode '1' provides the most compact results. Mode '2' is slower and is included for those who prefer to use our 4.0 matcher. Mode '1' is recommended, and is the default if no mode is specified.

2. Output Options

Option/Flag

Description

-acroVersion <val>

Specifies the minimum major version of Adobe Acrobat and Adobe Reader with which the output PDF file will be compatible (e.g. "4" for Acrobat 4.0). Setting this version to a higher value enables you to take advantage of more features, but this comes at the cost of being incompatible with earlier version of Adobe Reader.

Note that a special value of 128 specifies PDF/A-1b compatibility mode, and 129 specifies PDF/A-1a compatibility mode.

-pdfPageDim <width> <height>

Manually specifies the output page dimensions. The width and height (in inches) should be listed after the flag. If -pdfPageDim is not specified (and -pdfPageSize is not specified either), then Maestro will automatically determine the output page dimensions.

-pdfPageSize <type>

Manually specifies a named page size for the output file. The <type> parameter can be one of the following:

letter
legal
A4
A5
A6

If -pdfPageSize is not specified (and -pdfPageDim is not specified either), then Maestro will automatically determine the output page dimensions.

-pdfPagePrintMargin <val>

Specifies an optional whitespace margin for the output file, in inches. The output image will be scaled to fit within the bounds of the margin.

-pdfARGBProfile <val>

If PDF/A mode is specified (by using -acroVersion 128 or 129), this flag will determine the RGB profile to use. The <val> parameter can be one of the following:

<val>

Meaning

0

sRGB IEC61966-2.1

1

Adobe RGB (1998)

2

Apple RGB

3

ColorMatch RGB

3. Document Structure Options

Option/Flag

Description

-linearize

Causes the output files to be "web-optimized", by creating them with an internal structure that facilitates efficient transmission and viewing of PDF documents through a web browser. Linearized PDF files allow you to jump directly to a given page and display it in your web-based PDF viewer, even before the entire file is downloaded. Note that not all PDF viewers support this functionality. The Adobe Acrobat Reader™ web browser plugin is one viewer that does.

-thumb <val>

Determines whether to keep thumbnails from the original document.

<val> can be one of on, off, or auto. If it is set to auto, the software automatically determines whether to keep thumbnails. New thumbnails are not created. It should be noted, however, that Adobe Reader™ often creates thumbnails on the fly anyway, making it appear as if the file still contains thumbnails despite their removal.

4. PDF Input Processing Options

If the input file format is PDF, the file may contain multiple regions on each page. They may be visual elements such as images and text streams, or they may be special elements such as bookmarks and form objects. The output file can be created in one of two ways:

  • Stream-based mode: In this mode, each image stream on the page will be processed individually and all of the other page elements will be preserved as-is.
  • Rasterized mode: In this mode, the entire page is "flattened" before being processed, treating the entire page as a single scanned image. All special information such as bookmarks and forms will be lost, and any font-based text regions will be rasterized and treated as part of the page image.

The options below describe how to toggle between the two modes, as well as some additional flags that apply only to rasterized mode.

Option/Flag

Description

-stream

Turns stream-based mode on, processing all images within the PDF file on a stream-by-stream basis, leaving the original structure of the PDF intact. This option can also be used with input files that are simple image PDFs without individual streams, and can in fact be beneficial in that case as well. Thus, for PDF input files, this flag is recommended. This flag should not be used with other file formats, however, as it would cause a syntax error. If this flag is not specified, PDFs will be processed in rasterized mode.

-pdfres <xres> [<yres>]

If processing PDF files in rasterization mode (i.e. the -stream flag is NOT present), this flag manually sets the desired output resolution. If this flag is not specified, the processing engine will attempt to automatically determine the resolution from the input file (which is not always a reliable procedure).

<xres> is a value specifying the horizontal resolution and <yres> is a value specifying the vertical resolution. If <yres> is not specified explicity, it will be assumed the same as <xres>.

-pdfbw
-pdfgray
-pdfcolor

In rasterized mode, using one these three flags forces the input PDF files to be converted to a given colorspace (bitonal, greyscale, or color, respectively) before processing. At most, only one of these flags should be specified. If none of these flags is specified, the software will guess the colorspace of each page.

-kbg

Used in conjunction with the -pdfbw flag in rasterized mode. Keeps the background layer and dithers it separately from the foreground.

5. OCR-Related Options

Option/Flag

Description

-o
[-oocr]
[-oicr]
[-obarcode]

Master switch for enabling Maestro's OCR/recognition features. Must be used in conjunction with at least one of the optional flags:

-oocr

Turns on OCR (scans mechanically or electronically printed pages)

-oicr

Turns on ICR (scans handwritten text)

-obarcode

Turns on barcode recognition

The other OCR/recognition-related options listed below are applicable only when the -o flag is set.

-ocrmode [<mode>]

This setting determines the balance between speed and accuracy used by the OCR engine.

<mode> can be realtime, fast, accurate, or superaccurate. The default setting is fast. As a rule the slower the OCR, the more accurate it will be. In order of speed realtime is the fastest, followed by fast,accurate, and superaccurate.

-oraster

Forces the OCR engine to analyze the entire page as a single image, even if the input page is a PDF with multiple image streams.

-ocrwordconf <val>

Sets the minimum confidence level for OCR text that is recognized.

<val> should be an integer from 0 to 100, representing a confidence percentage. Any text that has a confidence level below <val> will be discarded.

-ocrtwod

Enable two-dimensional (multidirectional) OCR. This allows the OCR engine to recognize text in multiple orientations within the same image. Note that two-dimensional OCR does not work with -ocrzone.

-ocrdict <file>

Use the custom OCR dictionary specified by <file>.

-ocrzone <file>

Use the OCR Zone file specified by <file>.

-dsoff

-dsoff disables checking for document skew (alternate document orientations), which is on by default. It is recommended to include this flag if you know that none of your pages are rotated.

-lang <language>

Specifies the language dictionary to use with the OCR engine. Using a dictionary that is native to the language of the document can greatly improve OCR results. If this flag is not included, the English language dictionary is used. More information on obtaining and installing additional language dictionaries for Maestro Recognition Server, as well as a list of <language> parameters supported, can be found online at:
http://www.cvisiontech.com/langpack_instructions.html

-lsize <var>

Specifies that line-based OCR should be used instead of word-based OCR. Word-based OCR can sometimes result in more accurate bounding boxes displayed around search hits, but this can also slow down the OCR engine. In most cases, line-based OCR is recommended. The <var> parameter specifies the maximum number of words that should be grouped as a single line. The GUI uses -lsize 25 as the default.

-ot <val>

-ot <val> sets a threshold for how long you want to allow the OCR process to take on each page. <val> is specified in seconds. 120 seconds is often a good value to use. If the threshold is exceeded for a given page, that page will not contain OCR information.

-ocroutput <format>

Outputs a file in the specified format along with every document processed, containing all of the OCR text from the document. Acceptable <format> options are as follows:

<format>

Format

Extension

0

Unformatted Text

.txt

1

HTML

.htm

2

Excel 97/2000

.xls

3

Open EBook 1.0

.opf

4

PowerPoint 97 (RTF)

.rtf

5

Basic RTF

.rtf

6

Word 2000 (RTF)

.rtf

7

WordPad (RTF)

.rtf

8

WordPerfect 8

.wpd

9

XML

.xml

14

Formatted Text

.txt

Note: Output mode 14 (formatted text) may not work properly for real-time and super-accurate OCR and is not recommended for those OCR modes.

6. General Image Processing Options

Option/Flag

Description

-qualityc <val>
-qualityg <val>

Sets the target quality of color and greyscale images, respectively, using the DCT (JPEG) procession filter. <val> should be an integer from 1 to 99.

-dctsc <val>
-dctsg <val>

Sets the smoothing level for color and greyscale images, respectively, using the DCT (JPEG) procession filter. <val> should be an integer from 0 to 100, where 0 means no smoothing. (These flags can be omitted entirely if no smoothing is desired.)

-c {ON|OFF}

Turns bitonal cleaning ON or OFF. Cleaning removes very small stray dots that were clearly artifacts of the scanning process. By default, cleaning is OFF in most cases.

-v

Turns bitonal despeckling on. More ambitious than regular cleaning, this removes larger stray specks that are judged to be artifacts from scanning or photocopying. This computerized judgment call is not infallible, however, so the resultant document should be checked to ensure that no portion of the actual image was lost in this process.

-hb <mode>
-hg <mode>
-hc <mode>

Attempts to smooth out jagged edges in a bitonal, greyscale, or color image, respectively. <mode> is a value from 1 to 4. '1' is Smart Smoothing, which varies the level of smoothing in different parts of the image. '2' will automatically pick a level of aggressiveness based on the DPI of the image. '3' will use the less aggressive smoothing, and '4' will use more aggressive smoothing.

-c2b <val>
-g2b <val>

Remaps color and greyscale images, respectively, to bitonal. <val> should be a value from 0 to 255 indicating the threshold level. The higher the number, the darker the image will tend to be.

-c2g

Remaps color images to greyscale.

-rscdpi <val>
-rsgdpi <val>
-rsbdpi <val>

Resamples color, greyscale, and bitonal images, respectively, to a given DPI value specified by <val>, regardless of the original image resolution.

-rscinterp <val>
-rsginterp <val>
-rsbinterp <val>

Specifies the interpolation method to use for color, greyscale, and bitonal images. The <val> parameter can be one of the following:

nearestneighbor
bilinear
smartbicubic
bicubic

If no flags are specified, the default interpolation method is nearestneighbor for bitonal images and smartbicubic for greyscale and color images.

-rscdwndpi <val>
-rsgdwndpi <val>
-rsbdwndpi <val>

Downsamples color, greyscale, and bitonal images, respectively, to a given DPI value specified by <val>. Only images that originally had a higher DPI than <val> will be resampled.

-rscupdpi <val>
-rsgupdpi <val>
-rsbupdpi <val>

Upsamples color, greyscale, and bitonal images, respectively, to a given DPI value specified by <val>. Only images that originally had a lower DPI than <val> will be resampled.

-rsc <val>
-rsg <val>
-rsb <val>

Resamples color, greyscale, and bitonal images, respectively, by a given percentage specified by <val>. This should be a floating-point number, using a period (".") as a decimal separator.

7. Annotations, Document Tags, and Viewer Preferences

Some features of Maestro, particularly those pertaining to annotations and document properties, require the specification of several parameters. Due to this fact, a configuration file is used for specifying many of these new options instead of passing parameters directly on the command line. The configuration file itself is passed to CVConvert.exe as one of the command-line flags. The syntax is as follows.

Option/Flag

Description

-config

<filename>

Specifies the name of a config file that contains settings for some of the features of Maestro with more extensive sets of parameters. This file can include information about stamps, watermarks, text annotations, document properties, viewer preferences, and batch auditing. The <filename> parameter should be the full path to the file. The config file is described in greater detail in Appendix C.

8. Security Options

Option/Flag

Description

-ownerpw <passwd>

-userpw <passwd>

If an input file is password-protected, one or both of these flags are required to gain access to the file in order to process it. -ownerpw specifies the owner password, and -userpw specifies the user password.

Note, however, that the output file will NOT be password-protected unless you re-encrypt using the -encrypt flag, described below.

-encrypt <rev> <npw> <opasswd> [<upasswd>] <flags>

Encrypts the output file.

<rev> is the revision number of the encryption model. If this is set to 2, 40-bit encryption is used. If it is set to 3, 128-bit encryption is used.

<npw> indicates the number of passwords to use. This should be set to 1 or 2. This parameter should then be followed by either one or two passwords. <opasswd> is the owner password, which is always required and allows for the changing of permissions. <upasswd>, if specified, indicated the password needed by a user to open the document.

<flags> is a bitwise OR of various permissions flags. Note that the bit positions of these flags are NOT the same as in the Adobe PDF Specification. The mapping of these bits to those in the Adobe PDF Specification is as follows:

CVISION
bit pos (val)

Adobe
bit pos
Meaning
1 (1)
3
ALLOW_PRINT
2 (2)
4
MODIFY_CONTENTS
3 (4)
5
COPY_EXTRACT
4 (8)
6
ADD_MODIFY
5 (16)
7
FILL_FORMS
6 (32)
10
EXTRACT
7 (64)
11
ASSEMBLE
8 (128)
12
PRINT_HIGHRES

So, for example, to enable COPY_EXTRACT and FILL_FORMS, you would specify a value of (4 | 16) = 20.

See the Adobe PDF Specification for further description of the meaning of each of these flags.

9. Logging Options

Some of the logging options are described below. Also see Appendix C for a description of how to set up an audit log, which is done through the config file.

Option/Flag

Description

-log <filename>

Generates an error log for batch processing. <filename> should be the fully-qualified path to the error log file.


Config File Overview

Appendix > C - Options Configuration File

Appendix C -

The Options Configuration File (*.DocAttrib.xml)

Overview

Many of the features of Maestro, particularly those pertaining to annotations and document properties, require the specification of several parameters. Due to this fact, a configuration file is used for specifying the parameters of some features instead of passing parameters directly on the command line. The configuration file itself is passed to CVConvert.exe as one of the command-line flags. The syntax is as follows:

-config configfilename

The configfilename should be specified as a fully-qualified path. When created via Maestro's user interface, this file is called *.DocAttrib.xml, where the prefix of the filename is either "batch_" (for batch jobs) or "wf_" (for watched folder jobs) followed by a timestamp representing when the file was generated. the base filename of the batch file or watched folder. As the file extension implies, the config file is arranged in XML form, as a set of nested tags. When reference is made to a tag, we are actually referring to a tag pair, consisting of an opening and closing tag, in the following form:

<tag>...</tag>

The "..." represents whatever is inside the tag. This can be what is referred to in the foregoing documentation as either a group or a value:

  • Group - A tag containing other tags (which can be values and/or other "child" groups).
  • Value - A tag enclosing a text string defining a parameter of the given "parent" tag.

The top-level tag in the config file is called <config>. All other tags must be contained within this tag. The hierarchy of major group tags is outlined below:

<config>

<auditlog>

<docinfo>

<viewerpref>

<ocr>

<annotation>

<header> and/or <footer>

<left>, <center>, and/or <right>

<watermark>

<stamp>

<crop>

<bitonal>, <greyscale>, and/or <color>

<deskew>

<invert>

<redact>

A complete sample configuration file is shown at the bottom of this page.

Proceed to tag descriptions

Sample Config File

<config>
 <auditlog>
  <filepath>C:\temp\audit.log</filepath>
  <clientcode>TESTRUN</clientcode>
  <bates>true</bates>
 </auditlog>
 <docinfo>
  <title>Revenue Report 3Q2004</title>
  <author>Jane Smith</author>
 </docinfo>
 <viewerpref>
  <fitwindow>false</fitwindow>
  <toolbar>true</toolbar>
  <menubar>true</menubar>
  <windowui>true</windowui>
  <displaytitle>false</displaytitle>
  <centerwindow>false</centerwindow>
  <pagemode>UseNone</pagemode>
  <pagelayout>SinglePage</pagelayout>
 </viewerpref>
 <ocr>
  <pagerange>3 9999</pagerange>
 </ocr>
 <annotation>
  <header>
   <lmargin>1.5</lmargin>
   <rmargin>1.5</rmargin>
   <tmargin>0.5</tmargin>
   <bmargin>0.5</bmargin>
   <pagerange>1 2</pagerange>
   <alternate>odd</alternate>
   <left>
    <string>
     <font>
      <name>Helvetica</name>
      <size>10.0</size>
     </font>
     <color>255 0 0</color>
     <stype>
      <date>m/d/yyyy</date>
     </stype>
    </string>
   </left>
   <center>
    <string>
     <font>
      <name>Helvetica</name>
      <size>10.0</size>
     </font>
     <color>0 255 255</color>
     <stype>
      <page>Page M</page>
     </stype>
    </string>
   </center>
   <right>
    <string>
     <font>
      <name>Helvetica</name>
      <size>10.0</size>
     </font>
     <color>255 0 0</color>
     <stype>
      <custom>your name here</custom>
     </stype>
    </string>
   </right>
  </header>
  <footer>
   <lmargin>1.0</lmargin>
   <rmargin>1.0</rmargin>
   <tmargin>0.5</tmargin>
   <bmargin>0.5</bmargin>
   <center>
    <string>
     <font>
      <name>Helvetica</name>
      <size>16.0</size>
     </font>
     <color>128 0 255</color>
     <stype>
      <custom>DRAFT</custom>
     </stype>
    </string>
   </center>
  </footer>
  <watermark>
   <opacity>0.1</opacity>
   <name>C:\images\company_logo.jpg</name>
   <pagerange>1 5</pagerange>
  </watermark>
  <stamp>
   <scalex>72</scalex>
   <scaley>72</scaley>
   <transx>0.5</transx>
   <transy>0.5</transy>
   <name>C:\images\phase1.tif</name>
   <mask>true</mask>
  </stamp>
  <stamp>
   <scalex>72</scalex>
   <scaley>72</scaley>
   <transx>5.5</transx>
   <transy>1.0</transy>
   <name>C:\images\review.jpg</name>
   <mask>true</mask>
   <cmaskrange>0 0 128 255 128 255</cmaskrange>
   <alternate>even</alternate>
  </stamp>
 </annotation>
 <deskew>
  <mode>autofull</mode>
 </deskew>
 <invert>
  <mode>auto</mode>
 </invert>
 <crop>
  <bitonal>
   <mode>constrained</mode>
   <innerbox>2.0 2.0 2.0 2.0<innerbox>
   <outerbox>0.5 0.5 0.5 0.5</outerbox>
   <padbox>1.0 1.0 1.0 1.0</padbox>
   <fillmode>transparent</fillmode>
  </bitonal>
  <greyscale>
   <mode>fixed</mode>
   <outerbox>1.0 1.0 1.0 1.0</outerbox>
  </greyscale>
  <color>
   <mode>fixed</mode>
   <outerbox>1.0 1.0 1.0 1.0</outerbox>
  </color>
 </crop>
 <redact>
  <pages>
   <pagerange>1 5</pagerange>
   <alternate>odd</alternate>
   <zones>
    <zone>70 750 200 600</zone>
    <zone>300 500 500 300</zone>
   </zones>
  </pages>
  <pages>
   <pagerange>6 15</pagerange>
   <alternate>even</alternate>
   <zones>
    <zone>400 550 600 400</zone>
   </zones>
  </pages>
 </redact>
</config>


<watermark> tag

Appendix > C - Options Configuration File

<watermark>

Type: Group

Child of: <annotation>

Description:

Places an image layer on each page that acts as a watermark (background image) which is blended with the other elements on the page. The parameter subtags are as follows:

Subtag Name
Type
Instances

Description
<opacity>
value
1
Floating point value between 0.0 and 1.0 representing how opaque the watermark should appear. A lower value yields a greater amount of transparency.
<name>
value
1
Name of the image file (see Notes). Should contain the fully-qualified path.
<pagerange>
value
0-1
Page range over which to apply the watermark. Applies to all pages if this tag is omitted.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.

Notes:

The watermark image should be a JPEG, TIFF, or BMP file.

Return to Config File Overview


<viewerpref> tag

Appendix > C - Options Configuration File

<viewerpref>

Type: Group

Child of:<config>

Description:

This section of the config file enumerates the viewer prefences to be used when opening the file in a PDF viewer. The list of possible tag value fields is as follows:

Subtag Name
Type
Instances

Description
<fitwindow>
value
0-1
Resize document window to fit the size of the first page (true or false).
<toolbar>
value
0-1
Display the viewer's toolbar (true or false).
<menubar>
value
0-1
Display the viewer's menu bar (true or false).
<windowui>
value
0-1
Display user interface elements such as scroll bars, navigation controls, etc. (true or false).
<displaytitle>
value
0-1

Display the document title, from the Title entry of the document information dictionary, in the window's title bar

(true or false)

.

<centerwindow>
value
0-1

Position the document display window in the center of the screen

(true or false)

.

<pagemode>
value
0-1

Specifies how to display the document (full-screen, etc). See below for the list of possible values.

<nonfullscreenpagemode>
value
0-1
If <pagemode> is set to FullScreen, this tag specifies how to display the document upon exiting full-screen page mode. Otherwise this tag should not be present. See below for the list of possible values.
<pagelayout>
value
0-1

Specifies how the pages should be laid out. See below for the list of possible values.

How to use the <pagemode> and <nonfullscreenpagemode> tags

The <pagemode> tag specifies the mode in which to display the document when it is opened in a viewer. It can be one of four values:

Value

Description

FullScreen

Open the document in full-screen mode, hiding all window elements and all other applications.

UseNone

Do not open the document in full-screen mode. Neither document outline pane nor thumbnail pane is visible.

UseOutlines

Do not open the document in full-screen mode. Document outline pane is visible.

UseThumbs

Do not open the document in full-screen mode. Thumbnail pane is visible.

If <pagemode> was set to FullScreen, the <nonfullscreenpagemode> tag specifies the mode in which to display the document after exiting full-screen mode. It can be one of three values:

Value

Description

UseNone

Neither document outline pane nor thumbnail pane is visible.

UseOutlines

Document outline pane is visible.

UseThumbs

Thumbnail pane is visible.

How to use the <pagelayout> tag

The <pagelayout> tag specifies how to lay out the page display area when the document is opened in a viewer. It can be one of four values:

Value

Description

SinglePage

Display only a single page at a time.

OneColumn

Display the pages in one column.

TwoColumnLeft

Display the pages in two columns, placing odd-numbered pages on the left.

TwoColumnRight

Display the pages in two columns, placing odd-numbered pages on the right.

Notes:

If the <viewerpref> section is included in the config file, at least one of the above subtags must be specified, or else a syntax error will occur. However, all of the above value subtags are otherwise optional. If the input file is a PDF, the original value for each field will be retained if no new value is specified. Otherwise, the defaults of the Adobe™ PDF specification are used.

Return to Config File Overview


<stype> tag

Appendix > C - Options Configuration File

<stype>

Type: Group

Child of: <string>

Description:

Defines the type of text string annotation to insert. Its single value tag must be ONE of the following:

<date>format</date>

Date stamp. See below for possible formats.

<page>format</page>

Page stamp. See below for possible formats.

<page>\prefix</page>

Bates stamp. Each page is stamped with a page number that is incremented for each successive page. Differentiated from a regular page stamp by the leading backslash ("\"). The prefix

after the backslash is any miscellaneous text string desired, which will be prepended before the page number.

<custom>text</custom>

Any custom text string.

The following formatting types are available for date stamp and page stamp annotation types:

Annotation Type

Possible Formats

Key

Date Stamp

m/d
m/d/yy
m/d/yyyy
mm/dd/yy
mm/dd/yyyy
d/m/yy
d/m/yyyy
dd/mm/yy
dd/mm/yyyy
mm/yy
mm/yyyy
yy-mm-dd
yyyy-mm-dd

m = month

mm = 2-digit month, with leading zero if needed

d = day

dd = 2-digit day, with leading zero if needed

y = year

yy = 2-digit year, with leading zero if needed

yyyy = 4-digit year

Page Stamp

M
M of N
M/N
Page M
Page M of N

M = current page

N = total pages in document

Notes:

The starting page for a Bates stamp can be changed by inserting the <bates_start_page> tag immediately after the <annotation> tag. Otherwise, the default start page is 1.

Return to Config File Overview


<string> tag

Appendix > C - Options Configuration File

<string>

Type: Group

Child of: <left>, <center>, <right>

Description:

This tag describes the text and attributes comprising a text annotation item for a header or footer. Its subtags are as follows:

Subtag Name
Type
Instances

Description
<font>
group
1
The font with which to format the string.
<color>
value
1
Font color, specified as an RGB value.
<stype>
group
1
Type of text annotation.

Notes:

For each alignment group tag (<left>, <center>, <right>) included in the header or footer list, there can be multiple <string> sections, but there must be at least one.

Return to Config File Overview


<stamp> tag

Appendix > C - Options Configuration File

<stamp>

Type: Group

Child of: <annotation>

Description:

Specifies an image file to be used as a graphical stamp. Its children are as follows:

Subtag Name
Type
Instances

Description
<scalex>
value
1
Size in the horizontal direction (in points).
<scaley>
value
1
Size in the vertical direction (in points).
<transx>
value
1
Translation offset in the horizontal direction (in inches). Expressed as a floating-point value, using a period (".") as a decimal separator.
<transy>
value
1
Translation offset in the vertical direction (in inches). Expressed as a floating-point value, using a period (".") as a decimal separator.
<name>
value
1

Name of the image file. Should contain the fully-qualified path.

<mask>
value
1

Specifies whether to use image masking, so that a portion of the image is considered transparent. This value can be either true or false. If it's false, masking will not be used and the entire image will be treated as opaque.

<cmaskrange>
value
0-1

If stamp is color, this specifies the RGB mask range. See below for syntax.

<gmaskrange>
value
0-1

If stamp is greyscale, this specifies the mask range. See below for syntax.

<pagerange>
value
0-1
Page range over which to apply headers. Applies to all pages if this tag is omitted.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.

Image Masking for the Different Colorspaces

A stamp image can be bitonal, greyscale, or color (see Notes below). If the <mask> value is set to true, some of its pixels (those that lie within the mask color intensity range) are treated as transparent. Each colorspace handles masking a bit differently, as follows:

Bitonal Stamps - No mask range is needed. If masking is turned on, the white portion of the image will be considered transparent.

Greyscale Stamps - A pair of integers must be specified in the <gmaskrange> tag, representing the lower and upper ends of the greyscale spectrum to be used as the mask. These should both be integer values between 0 and 255 inclusive, with the first value less than or equal to the second value. For example, to mask only the pixels that are medium grey or darker, you can use the following syntax:
  <gmaskrange>0 127</gmaskrange>.
In this example, all grey pixels with intensity lower than 128 will be treated as transparent.

Color Stamps - Three pairs of integers must be specified in the <cmaskrange> tag, representing the lower and upper ends of the red, green, and blue ranges, respectively, in the order R1 R2 G1 G2 B1 B2. These should all be integer values between 0 and 255. For example, to mask out a varying-intensity bright green background from a stamp that contains no bright green areas in the foreground, you can use the following syntax:
<cmaskrange>0 0 128 255 0 0</cmaskrange>.

Notes:

The <scalex> and <scaley> parameters are measured in points, where 72 points = 1 inch.

If the file type of the stamp image is TIFF or BMP, the image must be bitonal. If the file type is JPEG, it can be either greyscale or color.

The origin for the <transx> and <transy> offsets is the bottom left corner of the page.

Return to Config File Overview


<right> tag

Appendix > C - Options Configuration File

<right>

Type: Group

Child of: <header>, <footer>

Description:

This is the enclosing tag for all right-aligned annotations of this section (either headers or footers). It contains the following:

Subtag Name
Type
Instances
Description
<string>
group
1+
Enclosing tag for a single annotation item

Notes:

There can be multiple <string> tags within this tag, but there must be at least one. If there are no right-aligned annotations, the entire <right> tag should be omitted.

Return to Config File Overview


<zones> tag

Appendix > C - Options Configuration File

<zones>

Type: Group

Child of: <pages>

Description:

This is the enclosing tag for the set of bounding boxes to be applied to this page range. It contains the following:

Subtag Name
Type
Instances
Description
<zone>
value
1+
Enclosing tag for a single bounding box definition

Notes:

There can be multiple <zone> tags within this tag (specifying multiple bounding boxes for this page range), but there must be at least one.

Return to Config File Overview


<zone> tag

Appendix > C - Options Configuration File

<zone>

Type: Value

Child of: <zones>

Description:Defines a bounding box for an area to redact. The syntax is as follows:

<zone>l t r b</zone>

where l, t, r, and b are the distances (in pixels) from the top right corner of the page to the left, top, right, and bottom edges of the bounding box, respectively.


<pages> tag

Appendix > C - Options Configuration File

<pages>

Type: Group

Child of: <redact>

Description:

Specifies a set of redaction rules to be applied to a given page range in the document. The tags to be specified within the <pages> tag are described below.

Subtag Name
Type
Instances

Description
<pagerange>
value
0-1
Optional. Page range over which this set of redaction zones is to be applied. Will be performed on all pages in the document if no pagerange is specified.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.

<zones>
group
1
List of bounding boxes indicating areas to redact.

Return to Config File Overview


<deskew> tag

Appendix > C - Options Configuration File

<redact>

Type: Group

Child of: <config>

Description:

Specifies a set of redaction rules to be applied to a given page range in the document. The tags to be specified within the <pages> tag are described below.

Subtag Name
Type
Instances

Description
<pages>
group
1+
Group of data representing the set of bounding boxes to be redacted within a given page range.

Note:

Redaction cannot currently be performed reliably on PDFs in stream mode if resampling is also used.

There must be at least one

<pages>

group listed within the

<redact>

tag.

Return to Config File Overview


<pagerange> tag

Appendix > C - Options Configuration File

<pagerange>

Type: Value

Child of: <header>, <footer>, <stamp>, <watermark>, <deskew>, <invert>, <ocr>, <redact>

Description:Specifies a range of pages in the document over which the annotation is to be applied. The syntax is as follows:

<pagerange>x y</pagerange>

where x and y are the starting and ending page numbers.

Notes:

If this tag is omitted, the page range is assumed to be the entire document. If y is a value larger than the number of pages in the document, all pages from the starting page until the last page of the document will be considered to be within the range.

A separate tag called <alternate> is used for specifying that you want to apply the annotations only to even or odd pages within the range.


<padbox> tag

Appendix > C - Options Configuration File

<padbox>

Type: Value

Child of: <bitonal>

Description:Specifies the amount of blank padding to leave around the page after it has been cropped. The syntax is as follows:

<padbox>left top right bottom</padbox>

where each number is the amount to pad from that edge of the page, in inches.

Note:

Applies to Auto and Constrained cropping only.


<outerbox> tag

Appendix > C - Options Configuration File

<outerbox>

Type: Value

Child of: <bitonal>, <greyscale>, <color>

Description:Specifies the outer bounds for the crop box. The syntax is as follows:

<outerbox>left top right bottom</outerbox>

where each number is the distance of the box from that edge of the page, in inches.

Note:

For bitonal cropping, <outerbox> does not apply to Auto mode.


<ocr> tag

Appendix > C - Options Configuration File

<ocr>

Type: Group

Child of: <config>

Description:

Specifies additional options for the OCR engine that are not available as command-line parameters. Its children are as follows:

Subtag Name
Type
Instances

Description
<pagerange>
value
0-1
Page range over which to apply OCR. Applies to all pages if no pagerange is specified.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.

Return to Config File Overview


<left> tag

Appendix > C - Options Configuration File

<left>

Type: Group

Child of: <header>, <footer>

Description:

This is the enclosing tag for all left-aligned annotations of this section (either headers or footers). It contains the following:

Subtag Name
Type
Instances
Description
<string>
group
1+
Enclosing tag for a single annotation item

Notes:

There can be multiple <string> tags within this tag, but there must be at least one. If there are no left-aligned annotations, the entire <left> tag should be omitted.

Return to Config File Overview


<invert> tag

Appendix > C - Options Configuration File

<invert>

Type: Group

Child of: <config>

Description:

Specifies options for inverting the color and intensity values of the pixels on each page processed. The parameters are are as follows:

Subtag Name
Type
Instances

Description
<mode>
value
1

This must be one of the following two values:

auto automatically detects pages that have light text on a dark background and iverts them.

manual forces all pages to be inverted regardless of the original page color intensities.

<pagerange>
value
0-1
Optional. Page range to invert. Applies to all pages if no pagerange is specified.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.

Note:

Inversion can be performed only on raster image (non-PDF) formats and image-only PDF files. It cannot be performed on stream-based PDF files.

Return to Config File Overview


<innerbox> tag

Appendix > C - Options Configuration File

<innerbox>

Type: Value

Child of: <bitonal>

Description:Specifies the inner bounds of the crop box. The syntax is as follows:

<innerbox>left top right bottom</innerbox>

where each number is the distance of the inner box from that edge of the page, in inches.

Note:

<innerbox> is only valid for Constrained mode cropping.


<header> tag

Appendix > C - Options Configuration File

<header>

Type: Group

Child of: <annotation>

Description:

This is the enclosing parent tag for all header annotations. Its children are as follows:

Subtag Name
Type
Instances
Description
<lmargin>
value
0-1
Left margin (inches)
<rmargin>
value
0-1
Right margin (inches)
<tmargin>
value
0-1
Top margin (inches)
<bmargin>
value
0-1
Bottom margin (inches)
<pagerange>
value
0-1
Page range over which to apply headers. Applies to all pages if no pagerange is specified.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.
<left>
group
0-1
Left-aligned annotation group
<center>
group
0-1
Center-aligned annotation group
<right>
group
0-1
Right-aligned annotation group

Notes:

Margins should be specified as floating-point values (e.g., 1.0), and should use a period (".") as the decimal separator.

Each of the alignment tags (<left>, <center>, <right>) is optional, but at least one must be present, or else a syntax error will occur. If there are no header annotations at all, the <header> tag should be omitted entirely.

Return to Config File Overview


<footer> tag

Appendix > C - Options Configuration File

<footer>

Type: Group

Child of: <annotation>

Description:

This is the enclosing parent tag for all footer annotations. Its children are as follows:

Subtag Name
Type
Instances
Description
<lmargin>
value
0-1
Left margin (inches)
<rmargin>
value
0-1
Right margin (inches)
<tmargin>
value
0-1
Top margin (inches)
<bmargin>
value
0-1
Bottom margin (inches)
<pagerange>
value
0-1
Page range over which to apply footers. Applies to all pages if no pagerange is specified.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.
<left>
group
0-1
Left-aligned annotation group
<center>
group
0-1
Center-aligned annotation group
<right>
group
0-1
Right-aligned annotation group

Notes:

Margins should be specified as floating-point values (e.g. "1.0") and should use a period (".") as the decimal separator.

Each of the alignment tags (<left>, <center>, <right>) is optional, but at least one must be present, or else a syntax error will occur. If there are no footer annotations at all, the <footer> tag should be omitted entirely.

Return to Config File Overview


<font> tag

Appendix > C - Options Configuration File

<font>

Type: Group

Child of: <string>

Description:

Specifies the font name and size with which to format the text annotation. Its fields are as follows:

Subtag Name
Type
Instances

Description
<name>
value
1
Font name (see the Notes section below).
<size>
value
1
Font point size specified as a decimal value (for example, 10.0).

Notes:

The font name can be one of the following:

Helvetica
Times-Roman
Courier
Times-Bold
Times-Italic
Times-BoldItalic
Helvetica-Bold
Helvetica-Oblique
Helvetica-BoldOblique
Courier-Bold
Courier-Oblique
Courier-BoldOblique
Symbol
ZapfDingbats

Return to Config File Overview


<fillmode> tag

Appendix > C - Options Configuration File

<fillmode>

Type: Value

Child of: <bitonal> (cropping)

Description:

Specifies the fill color to use when specifying a <padbox> for a cropped page. The syntax is as follows:

<fillmode>mode</fillmode>

where

mode

is the string literal

white

,

black

, or

transparent

.

Notes:

If this tag is not specified, the default fill mode is white.


<docinfo> tag

Appendix > C - Options Configuration File

<docinfo>

Type: Group

Child of: <config>

Description:

Specifies new information to be used in the document information fields of each PDF file created. Its children are as follows:

Subtag Name
Type
Instances

Description
<title>
value
0-1
Title of the document.
<subject>
value
0-1
Subject of the document.
<keywords>
value
0-1
Keywords included in the document.
<author>
value
0-1
Author of the document.
<trapped>
value
0-1

Specifies whether the document has been modified to include trapping information. Can be true, false, or unknown.

Notes:

If the <docinfo> section is included in the config file, at least one of the above subtags must be specified, or else a syntax error will occur. However, all of the above value subtags are otherwise optional. If the input file is a PDF, the original value for each field will be retained if no new value is specified. Otherwise, the defaults of the Adobe™ PDF specification are used.

Return to Config File Overview


<deskew> tag

Appendix > C - Options Configuration File

<deskew>

Type: Group

Child of: <config>

Description:

Specifies that for every page processed, Maestro will detect whether the image is in the proper reading orientation and will attempt to rotate it if it isn't. The value tags to be specified within the <deskew> tag are described below.

Subtag Name
Type
Instances

Description
<mode>
value
1

This must be one of the following four values:

auto corrects slight skew in an image

autoflip will correct images that are upside-down

autofull will rotate pages from any angle to their correct readable angle

manual rotates images based on the rotation angle specified below

<angle>
value
0-1
Specifies the angle, in degrees, to be used for manual rotation only.
<bwinterpolation>
value
0-1

Specifies the bitonal interpolation algorithm for deskew. This must be one of the following three values:

nearestneighbor
smartbicubic
bicubic

The default for bitonal images is nearestneighbor.

<grayinterpolation>
value
0-1

Specifies the greyscale interpolation algorithm for deskew. The default is smartbicubic.

<colorinterpolation>
value
0-1

Specifies the color interpolation algorithm for deskew. The default is smartbicubic.

<pagerange>
value
0-1
Optional. Page range over which to deskew. Applies to all pages if no pagerange is specified.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.

Note:

Deskew can be performed only on raster image (non-PDF) formats and image-only PDF files. It cannot be performed on stream-based PDF files.

Return to Config File Overview


<invert> tag

Appendix > C - Options Configuration File

<invert>

Type: Group

Child of: <config>

Description:

Specifies options for inverting the colors/intensity on each page of a raster-mode document.Cropping is done separately on color, greyscale, and bitonal images. Each of these tags specifies cropping parameters for one of those image classes. Its children are as follows:

Subtag Name
Type
Instances
Description
<mode>
value
1

Must be either auto or manual.

auto specifies that inversion is done automatically as needed, whenever the software detects that the page is reverse-video.

manual specifies that inversion is always done, regardless of the appearance of any given page.

<pagerange>
value
0-1
Page range over which to apply inversion. Applies to all pages if no pagerange is specified.
<alternate>
value
0-1
Alternation mode (even or odd). No alternation if this tag is omitted.

Note:

Inversion can be performed only on raster image (non-PDF) formats and image-only PDF files. It cannot be performed on stream-based PDF files.

Return to Config File Overview


<greyscale> tag

Appendix > C - Options Configuration File

<greyscale>

Type: Group

Child of: <crop>

Description:

Specifies cropping parameters for greyscale images. Its children are as follows:

Subtag Name
Type
Instances
Description
<mode>
value
1

For greyscale cropping, fixed must always be specified here, as it is the only available cropping mode.

<outerbox>
value
1
Specifies the bounds of the crop box.

Return to Config File Overview


<color> tag

Appendix > C - Options Configuration File

<color>

Type: Group

Child of: <crop>

Description:

Specifies cropping parameters for color images. Its children are as follows:

Subtag Name
Type
Instances
Description
<mode>
value
1

For color image cropping, fixed must always be specified here, as it is the only available cropping mode.

<outerbox>
value
1
Specifies the bounds of the crop box.

Return to Config File Overview


<bitonal> tag

Appendix > C - Options Configuration File

<bitonal>

Type: Group

Child of: <crop>

Description:

Cropping is done separately on color, greyscale, and bitonal images. Each of these tags specifies cropping parameters for one of those image classes. Its children are as follows:

Subtag Name
Type
Instances
Description
<mode>
value
1
There are three modes that can be specified for bitonal cropping:

fixed mode crops every page in the same place, according to the dimensions specified by the <outerbox> tag.

auto mode determines automatically where to crop each page.

constrained mode determines automatically where to crop each page, but will only attempt to crop between the given <innerbox> and <outerbox>.
<innerbox>
value
0-1
Specifies the left, right, top, and bottom bounds of the inner box used in constrained mode only.
<outerbox>
value
0-1
Specifies the bounds of the outer box used in fixed and constrained modes only.
<padbox>
value
0-1
Specifies the amount of blank padding area to leave in each direction. This applies to auto and constrained modes only.
<fillmode>
value
0-1
Optionally specifies the fill color to be used when a <padbox> is specified.

Return to Config File Overview


<crop> tag

Appendix > C - Options Configuration File

<crop>

Type: Group

Child of: <config>

Description:

Specifies the parameters for cropping of each image. Cropping is done separately on color, greyscale, and bitonal images. Each of following tags specifies cropping parameters for one of those image classes:

Subtag Name
Type
Instances

Description
<bitonal>
value
0-1
Specifies cropping to be done on bitonal images.
<greyscale>
value
0-1
Specifies cropping to be done on greyscale images.
<color>
value
0-1
Specifies cropping to be done on color images.

Return to Config File Overview


<config> tag

Appendix > C - Options Configuration File

<config>

Type: Group

Child of: none

Description:

This is the top-level tag in the config file. The tag sections that it can directly contain (all of which are optional) are as follows:

Subtag Name
Type
Instances

Description
<auditlog>
group
0-1
Specifies an audit log file that will log all procession activity.
<docinfo>
group
0-1
Specifies new information to be used in the document information fields of each PDF file created.
<viewerpref>
group
0-1
Specifies preferences for how the PDF file should be displayed initially when opened in a viewer.
<ocr>
group
0-1
Specifies additional options for the OCR engine.
<annotation>
group
0-1
Specifies all text and graphical annotations to be inserted in the PDF file, including headers/footers, stamps, and watermarks.
<crop>
group
0-1
Specifies cropping that should be done on each input page.
<deskew>
group
0-1
Specifies whether skewed pages should be corrected to their proper reading orientation.
<invert>
group
0-1
Specifies parameters for inverting the colors on a scanned page.
<redact>
group
0-1
Specifies areas of the document in which to remove all text.

Return to Config File Overview


<color> tag

Appendix > C - Options Configuration File

<color>

Type: Value

Child of: <string>

Description:Color used for font formatting. The syntax is as follows:

<color>rval gval bval</color>

where

rval, gval,

and

bval

are the red, green, and blue components of the color, respectively. Each should be specified as an integer value from 0 to 255 inclusive, and they should be separated from each other by a space.

Notes:

Here are some examples of how to express commonly used colors:

Color

Syntax

black

<color>0 0 0</color>

white

<color>255 255 255</color>

light grey

<color>204 204 204</color>

medium grey

<color>153 153 153</color>

dark grey

<color>102 102 102</color>

red

<color>255 0 0</color>

green

<color>0 255 0</color>

blue

<color>0 0 255</color>

cyan

<color>0 255 255</color>

magenta

<color>255 0 255</color>

yellow

<color>255 255 0</color>

orange

<color>255 153 0</color>

purple

<color>153 0 255</color>


<center> tag

Appendix > C - Options Configuration File

<center>

Type: Group

Child of: <header>, <footer>

Description:

This is the enclosing tag for all center-aligned annotations of this section (either headers or footers). It contains the following:

Subtag Name
Type
Instances
Description
<string>
group
1+
Enclosing tag for a single annotation item

Notes:

There can be multiple <string> tags within this tag, but there must be at least one. If there are no center-aligned annotations, the entire <center> tag should be omitted.

Return to Config File Overview


<auditlog> tag

Appendix > C - Options Configuration File

<auditlog>

Type: Group

Child of: <config>

Description:

Specifies that for every file processed, an audit log file will log the activity, appending a new line of information at the end of the file. At a minimum, this line will contain a timestamp, the path to the processed file, and the number of pages in the file. It may optionally also contain a client code and the starting Bates number. The value tags to be specified within the <auditlog> tag are described below.

Subtag Name
Type
Instances

Description
<filepath>
value
1
Fully-qualified path of the audit log filename
<clientcode>
value
0-1
Optional text string that will be included in every line of the audit log, useful as a client code for identifying which client needs to be billed for procession services.
<bates>
value
0-1
Optional. Whether to include the starting page number of the Bates stamp. Should be true or false. If tag is not included, default is false.

Return to Config File Overview


<annotation> tag

Appendix > C - Options Configuration File

<annotation>

Type: Group

Child of: <config>

Description:

This is the parent tag for all text and graphic annotation items. It must enclose one or more of the following child tags:

Subtag Name
Type
Instances
Description
<bates_start_page>
value
0-1

Specifies the starting page number used for Bates stamping. All <stype> tags that are Bates stamps will use this value. The value specified in this tag should be an integer.

<header>
group
0-1
Header annotation list
<footer>
group
0-1
Footer annotation list
<watermark>
group
0-1
Watermark (page backgroung image)
<stamp>
group
0+
Stamp item

Notes:

There can be multiple stamp tags. All other tags must appear no more than once. Each of these child tags, if present, must contain at least one annotation item of the relevant type, or a syntax error is triggered.

Return to Config File Overview


<alternate> tag

Appendix > C - Options Configuration File

<alternate>

Type: Value

Child of: <header>, <footer>, <stamp>, <watermark>, <deskew>, <invert>, <ocr>, <redact>

Description:

Specifies the alternation mode, so that a given class of annotations can optionally be applied to only the odd-numbered pages or only the even-numbered pages of the document. The syntax is as follows:

<alternate>mode</alternate>

where

mode

is the string literal

even

or

odd

.

Notes:

If this tag is not specified, alternation is turned off and the annotation type is applied to all pages in the range specified by the <pagerange> tag, or to all pages in the entire document if the <pagerange> tag is not supplied.


Compression Options - Auto-Segmentation

The compression options affect the size and image quality of the resulting PDF files. This panel is divided into five tabs containing: auto-segmentation options, colorspace-specific options, and general options.

The auto-segmentation options tab appears as depicted below.

The options are as follows:
  1. Auto-Segmentation - When turned on, auto-segmentation causes the compression engine to handle the text and image components of a document separately. The segmenter also distinguished between business color documents and pictures. When segmentation is done correctly, this mode will almost always provide significantly better compression. The options for auto-segmentation are as follows:
    • Use Auto-Segmentation - Turns this feature on or off. If this check box is not checked, all of the other controls in this group box are disabled.
    • Document Type - Different types of documents have different ways of determining how regions should be segmented, e.g., what constitutes text and what constitutes an image. For best results, select the option that best resembles the files you are compressing.
    • Application - PdfCompressor can optimize images for the requirements of a specific stage in a production workflow, such as screen, prepress, etc. Choose "General" if you do not wish to utilize this option.
    • Image Quality - Sets the image quality for greyscale and color compression when Auto-Segmentation is used. This option replaced the greyed-out JPEG filter options when Auto-Segmentation is activated. The default Image Quality setting should be used unless the resulting PDFs do not have satisfactory quality.
    • Auto-Resample color and greyscale images - If this option is chosen, the color and greyscale image portions of the page will be resampled for optimal resolution.

  2. Background Elimination - This set of options allows you to compress pictures separately from the background and thereby potentially provide greater compression. The options are as follows:
    • Use advanced picture detection with background elimination - Turns this feature on or off.
    • Picture reduction factor - For JPEG2000-encoded images, specifies the target compression ratio of each picture.
    • Picture quality - For JPEG-encoded images, specifies the target image quality (which in turn affects the compression ratio).


Job Ticketing

CVISION Job Ticketing

CVISION Job Ticketing allows the user to specify the files, settings and post-processing options using an XML file.

Generating a Job Ticket

Open CVISION Job Ticketing. The application (GenerateJobTicket.exe) is located in your Start menu under CVISION. The order of operations in generating a new job ticket is arranged in a series of tabs which are described below.

Input options: Select input files by clicking on "Select files" and browsing to the directory with the documents to be processed. Files from different directories can be selected.

Processing options: Include flags and options to be used for processing each file.

Output options: Enter a path and file name for the output file.

Post-processing: After processing original document files can be either deleted or moved to a different directory.

Logging options: Enter a path and file name for an error log.

Job ticket: Click Generate the job ticket button to generate an XML file.

After the "Generate the job ticket" button is clicked, the XML file can be saved to a folder or the job can be processed from the Job Ticketing application.

Back to top

Running a Job Ticket

There are two ways of processing the generated XML file.

1. Running through the command-line.

Open JobTicketing.exe which is located in the installation folder, and pass the path of the XML job ticket as a parameter.

2. Running using Watched Folder mode

Open the Maestro GUI and select Watched Folder Processing from the Job Type dropdown menu.

Find the folder where the XML job ticket file is located and drag it into the Folders to Watch field.

In Watched Folder Item Settings change Process files of type field to contain only XML file extension. Click OK and click Commit New Folders.

Back to top


poweruser_html

If you wish to run Maestro on your computer as a user who does not have administrative permissions, the GUI will tell you it is missing license info. To solve this problem, someone with administrative permissions must do the following:

  1. Grant read and write permissions on the Maestro installation folder to the users who wish to run Maestro. This folder is set at installation time; the default is C:\Program Files\CVision\Maestro 4.0. In Windows Explorer, right-click on this folder and choose the Security tab. It will look like this if you give the user full control:

  2. Grant read and write permissions on the Maestro registry key to the users who wish to run Maestro. Select "Run..." from the Start Menu, type "regedit" (without quotes), and click OK. Navigate in the left pane to HKEY_LOCAL_MACHINE/SOFTWARE/CVision/Maestro/4.0. With 4.0 highlighted, choose "Permissions..." from the Edit menu. You will see a dialog box similar to the one for the folder permissions. Give the user who should be able to run Maestro full control of this key.